@extends('layouts.app')

@push('style')
    <style>
        
    </style>
@endpush

@section('dashboard-button', 'active')

@section('header')
<div class="h-100p d-flex-center mg-t-2 pd-lr-20 fs1 fw-bold cursor-default">Dashboard</div>

@endsection

@section('main-body')
    <div class="w-100p h-100p d-flex fw-wrap">
        <div class="w-300 h-300 pd-20 bs-bb f-shrink-0">
            <div class="w-100p h-100p br-10 pd-20 bs-bb d-flex fd-column" style="border: 1px solid #00000022">
                <div class="d-flex-center" style="gap:10px">
                    <div class="pd-5 bs-bb br-5" style="background-color:#00000011"><span class="material-symbols-outlined clr-green fw-bold fs-30">event_available</span></div>
                    <div>
                        <div class="fw-bold fs-20">{{App\Models\Classes::where('status', 'Pending')->count();}}</div>
                        <div class="fs4 clr-grey-2">You have no pending class for approval. Please check again later</div>
                    </div>
                </div>
                <div class="h-1 w-100p bg-plt1 mg-t-20" style="height:1px; background-color:#00000022"></div>
                <div class="d-flex h-100p">
                    <div class="w-100p h-100p d-flex-center fd-column">
                        <div class="fw-bold fs-20">{{App\Models\Classes::whereDate('start_date_time', Carbon\Carbon::today())->count();}}</div>
                        <div class="fs4 clr-grey-2">Classes</div>
                        <div class="fs4 clr-grey-2">Today</div>
                    </div>
                    <div class="w-100p h-100p d-flex-center fd-column">
                        <div class="fw-bold fs-20">{{App\Models\Classes::where('status', 'Cancelled')->count();}}</div>
                        <div class="fs4 clr-grey-2">Cancelled</div>
                        <div class="fs4 clr-grey-2">Today</div>
                    </div>
                </div>
            </div>
        </div>

        <div class="w-800 h-300 pd-20 bs-bb f-shrink-0">

                @php
                    $firstDayCount = App\Models\Classes::whereDate('start_date_time', Carbon\Carbon::today()->addDays(0))->count();
                    $secondDayCount = App\Models\Classes::whereDate('start_date_time', Carbon\Carbon::today()->addDays(1))->count();
                    $thirdDayCount = App\Models\Classes::whereDate('start_date_time', Carbon\Carbon::today()->addDays(2))->count();
                    $fourthDayCount = App\Models\Classes::whereDate('start_date_time', Carbon\Carbon::today()->addDays(3))->count();
                    $fifthDayCount = App\Models\Classes::whereDate('start_date_time', Carbon\Carbon::today()->addDays(4))->count();
                    $sixthDayCount = App\Models\Classes::whereDate('start_date_time', Carbon\Carbon::today()->addDays(5))->count();
                    $seventhDayCount = App\Models\Classes::whereDate('start_date_time', Carbon\Carbon::today()->addDays(6))->count();

                    $maxCount = max([$firstDayCount, $secondDayCount, $thirdDayCount, $fourthDayCount, $fifthDayCount, $sixthDayCount, $seventhDayCount]);
                    $rowLineCount = floor($maxCount / 20) + 1;
;                @endphp
            
            <div class="w-100p h-100p br-10 pd-20 bs-bb d-flex fd-column" style="border: 1px solid #00000022; position:relative;">
                <div class="w-100p h-100p br-10 d-flex fd-column" style="position:absolute; height:calc(100% - 40px); width:calc(100% - 40px); z-index:-1">
                    <div class="h-40 f-shrink-0"></div>
                    @for ($i = 0; $i < $rowLineCount; $i++)
                        <div class="h-100p" style="border-top:1px solid #00000022;"></div>
                    @endfor
                    <div class="h-20 f-shrink-0"></div>
                    
                    
                </div>

                <div class="w-100p h-40 f-shrink-0 fs2 clr-grey-1 fw-bold">Total Classes</div>
                <div class="w-100p h-100p d-flex" style="gap:40px;">
                    <div class="w-100p h-100p" style="position:relative">
                        <div class="w-100p bg-plt2" style="position:absolute; height:calc({{$firstDayCount}} / (20 * {{$rowLineCount}}) * 100%); bottom:0px"></div>
                        <div class="w-100p txt-c fs2 fw-bold" style="position:absolute; bottom:calc({{$firstDayCount}} / (20 * {{$rowLineCount}}) * 100%)">{{$firstDayCount}}</div>
                    </div>
                    <div class="w-100p h-100p" style="position:relative">
                        <div class="w-100p bg-plt2" style="position:absolute; height:calc({{$secondDayCount}} / (20 * {{$rowLineCount}}) * 100%); bottom:0px"></div>
                        <div class="w-100p txt-c fs2 fw-bold" style="position:absolute; bottom:calc({{$secondDayCount}} / (20 * {{$rowLineCount}}) * 100%)">{{$secondDayCount}}</div>
                    </div>
                    <div class="w-100p h-100p" style="position:relative">
                        <div class="w-100p bg-plt2" style="position:absolute; height:calc({{$thirdDayCount}} / (20 * {{$rowLineCount}}) * 100%); bottom:0px"></div>
                        <div class="w-100p txt-c fs2 fw-bold" style="position:absolute; bottom:calc({{$thirdDayCount}} / (20 * {{$rowLineCount}}) * 100%)">{{$thirdDayCount}}</div>
                    </div>
                    <div class="w-100p h-100p" style="position:relative">
                        <div class="w-100p bg-plt2" style="position:absolute; height:calc({{$fourthDayCount}} / (20 * {{$rowLineCount}}) * 100%); bottom:0px"></div>
                        <div class="w-100p txt-c fs2 fw-bold" style="position:absolute; bottom:calc({{$fourthDayCount}} / (20 * {{$rowLineCount}}) * 100%)">{{$fourthDayCount}}</div>
                    </div>
                    <div class="w-100p h-100p" style="position:relative">
                        <div class="w-100p bg-plt2" style="position:absolute; height:calc({{$fifthDayCount}} / (20 * {{$rowLineCount}}) * 100%); bottom:0px"></div>
                        <div class="w-100p txt-c fs2 fw-bold" style="position:absolute; bottom:calc({{$fifthDayCount}} / (20 * {{$rowLineCount}}) * 100%)">{{$fifthDayCount}}</div>
                    </div>
                    <div class="w-100p h-100p" style="position:relative">
                        <div class="w-100p bg-plt2" style="position:absolute; height:calc({{$sixthDayCount}} / (20 * {{$rowLineCount}}) * 100%); bottom:0px"></div>
                        <div class="w-100p txt-c fs2 fw-bold" style="position:absolute; bottom:calc({{$sixthDayCount}} / (20 * {{$rowLineCount}}) * 100%)">{{$sixthDayCount}}</div>
                    </div>
                    <div class="w-100p h-100p" style="position:relative">
                        <div class="w-100p bg-plt2" style="position:absolute; height:calc({{$seventhDayCount}} / (20 * {{$rowLineCount}}) * 100%); bottom:0px"></div>
                        <div class="w-100p txt-c fs2 fw-bold" style="position:absolute; bottom:calc({{$seventhDayCount}} / (20 * {{$rowLineCount}}) * 100%)">{{$seventhDayCount}}</div>
                    </div>
                </div>
                
                {{-- <div class="h-20 f-shrink-0 d-flex" style="gap:40px;">
                    <div class="w-100p fs4 fw-bold clr-grey-1 txt-c mg-t-10">24 Oct 24</div>
                    <div class="w-100p fs4 fw-bold clr-grey-1 txt-c mg-t-10">25 Oct 24</div>
                    <div class="w-100p fs4 fw-bold clr-grey-1 txt-c mg-t-10">26 Oct 24</div>
                    <div class="w-100p fs4 fw-bold clr-grey-1 txt-c mg-t-10">27 Oct 24</div>
                    <div class="w-100p fs4 fw-bold clr-grey-1 txt-c mg-t-10">28 Oct 24</div>
                    <div class="w-100p fs4 fw-bold clr-grey-1 txt-c mg-t-10">29 Oct 24</div>
                    <div class="w-100p fs4 fw-bold clr-grey-1 txt-c mg-t-10">30 Oct 24</div>
                </div> --}}
                <div class="h-20 f-shrink-0 d-flex" style="gap:40px;">
                    @for ($i = 0; $i < 7; $i++)
                        <div class="w-100p fs4 fw-bold clr-grey-1 txt-c mg-t-10">
                            {{ now()->addDays($i)->format('d M y') }}
                        </div>
                    @endfor
                </div>
            </div>
        </div>

        <div class="w-300 h-300 pd-20 bs-bb f-shrink-0">
            <div class="w-100p h-100p br-10 pd-20 bs-bb d-flex fd-column" style="border: 1px solid #00000022">
                <div class="w-100p f-shrink-0 fs2 clr-grey-1 fw-bold pd-b-20">Room Status</div>
                <div class="w-100p h-100p d-flex fd-column">
                    <div class="w-100p h-100p d-flex-center jc-start" style="gap:20px">
                        <div class="pd-5 mg-l-20 bs-bb br-5"><span class="material-symbols-outlined clr-blue fs-30">meeting_room</span></div>
                        <div class="fs2 fw-bold">{{App\Models\Rooms::where('status', 'Available')->count()}}</div>
                        <div class="fs4 clr-grey-2">Available</div>
                    </div>
                    <div class="w-100p h-100p d-flex-center jc-start" style="gap:20px">
                        <div class="pd-5 mg-l-20 bs-bb br-5"><span class="material-symbols-outlined clr-blue fs-30">door_front</span></div>
                        <div class="fs2 fw-bold">{{App\Models\Rooms::where('status', 'Inactive')->where('reason', 'Closed')->count()}}</div>
                        <div class="fs4 clr-grey-2">Closed</div>
                    </div>
                    <div class="w-100p h-100p d-flex-center jc-start" style="gap:20px">
                        <div class="pd-5 mg-l-20 bs-bb br-5"><span class="material-symbols-outlined clr-blue fs-30">build</span></div>
                        <div class="fs2 fw-bold">{{App\Models\Rooms::where('status', 'Inactive')->where('reason', 'Maintenance')->count()}}</div>
                        <div class="fs4 clr-grey-2">Maintenance</div>
                    </div>
                </div>
            </div>
        </div>

        @php
            $customRange = App\Models\Settings::where('setting_key', 'custom_range')->get()->first()->setting_value;
            $startTime = Carbon\Carbon::parse(App\Models\Settings::where('setting_key', 'start_time')->first()->setting_value);
            $endTime = Carbon\Carbon::parse(App\Models\Settings::where('setting_key', 'end_time')->first()->setting_value);

            // if ($customRange == 1){
            //     $totalAvailableTimeForOneRoom  = $startTime->diffInMinutes($endTime);
            // } else {
            //     $totalAvailableTimeForOneRoom  = 1440;
            // }
            $totalAvailableTimeForOneRoom = $customRange == 1 ? $startTime->diffInMinutes($endTime) : 1440;
            $totalRooms = App\Models\Rooms::count();

            // Calculate today's usage 
            $todayClasses = App\Models\Classes::whereDate('start_date_time', Carbon\Carbon::today())->get();
            $totalAvailableTimeAllRoomsDaily = $totalAvailableTimeForOneRoom * $totalRooms;
            $totalBookedTimeAllRoomsDaily = 0;
            foreach ($todayClasses as $class) {
                $classStart = Carbon\Carbon::parse($class->start_date_time);
                $classEnd = Carbon\Carbon::parse($class->end_date_time);
                $classDuration = $classStart->diffInMinutes($classEnd);
                $totalBookedTimeAllRoomsDaily += $classDuration;
            }
            $todayUsagePercentage = ($totalBookedTimeAllRoomsDaily / $totalAvailableTimeAllRoomsDaily) * 100;

            // Calculate current weekl usage 
            $startOfWeek = Carbon\Carbon::now()->startOfWeek(Carbon\Carbon::SUNDAY);
            $endOfWeek = Carbon\Carbon::now()->endOfWeek(Carbon\Carbon::SATURDAY);
            $weeklyClasses = App\Models\Classes::whereBetween('start_date_time', [$startOfWeek, $endOfWeek])->get();
            $totalAvailableTimeAllRoomsWeekly = $totalAvailableTimeForOneRoom * $totalRooms * 7;
            $totalBookedTimeAllRoomsWeekly = 0;
            foreach ($weeklyClasses as $class) {
                $classStart = Carbon\Carbon::parse($class->start_date_time);
                $classEnd = Carbon\Carbon::parse($class->end_date_time);
                $classDuration = $classStart->diffInMinutes($classEnd);
                $totalBookedTimeAllRoomsWeekly += $classDuration;
            }
            $weeklyUsagePercentage = ($totalBookedTimeAllRoomsWeekly / $totalAvailableTimeAllRoomsWeekly) * 100;

            // Calculate current month usage 
            $startOfMonth = Carbon\Carbon::now()->startOfMonth();
            $endOfMonth = Carbon\Carbon::now()->endOfMonth();
            $totalAvailableTimeAllRoomsMonthly = $totalAvailableTimeForOneRoom * $totalRooms * $startOfMonth->daysInMonth;
            $totalBookedTimeAllRoomsMonthly = 0;
            $monthlyClasses = App\Models\Classes::whereBetween('start_date_time', [$startOfMonth, $endOfMonth])->get();
            foreach ($monthlyClasses as $class) {
                $classStart = Carbon\Carbon::parse($class->start_date_time);
                $classEnd = Carbon\Carbon::parse($class->end_date_time);
                $classDuration = $classStart->diffInMinutes($classEnd);
                $totalBookedTimeAllRoomsMonthly += $classDuration;
            }
            $monthlyUsagePercentage = ($totalBookedTimeAllRoomsMonthly / $totalAvailableTimeAllRoomsMonthly) * 100;
        @endphp

        <div class="w-800 h-300 pd-20 bs-bb f-shrink-0">
            <div class="w-100p h-100p br-10 pd-20 bs-bb d-flex fd-column" style="border: 1px solid #00000022">
                <div class="w-100p f-shrink-0 fs2 clr-grey-1 fw-bold pd-b-50">Room Usage</div>
                <div class="d-flex w-100p h-100p">
                    <div class="w-100p d-flex fd-column">
                        <div class="h-100p w-100p d-flex-center txt-c fw-bold fs2">Today Usage</div>
                        <div class="h-100p w-100p d-flex-center txt-c fw-bold fs-20 clr-blue">{{round($todayUsagePercentage, 2)}}%</div>
                        <div class="h-100p w-100p d-flex-center txt-c fs4 clr-grey-2">{{ now()->format('d F Y') }}</div>
                    </div>
                    <div class="w-100p d-flex fd-column">
                        <div class="h-100p w-100p d-flex-center txt-c fw-bold fs2">Weekly Usage</div>
                        <div class="h-100p w-100p d-flex-center txt-c fw-bold fs-20 clr-blue">{{round($weeklyUsagePercentage, 2)}}%</div>
                        <div class="h-100p w-100p d-flex-center txt-c fs4 clr-grey-2">{{ now()->startOfWeek()->format('d F Y') }} - {{ now()->endOfWeek()->format('d F Y') }}</div>
                    </div>
                    <div class="w-100p d-flex fd-column">
                        <div class="h-100p w-100p d-flex-center txt-c fw-bold fs2">Monthly Usage</div>
                        <div class="h-100p w-100p d-flex-center txt-c fw-bold fs-20 clr-blue">{{round($monthlyUsagePercentage, 2)}}%</div>
                        <div class="h-100p w-100p d-flex-center txt-c fs4 clr-grey-2">{{ now()->startOfMonth()->format('d F Y') }} - {{ now()->endOfMonth()->format('d F Y') }}</div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@push('script')
    <script>
        // to remove session on the last session page
        localStorage.removeItem('classroom-management-session');
    </script>
@endpush