@extends('layouts.app')

@push('style')
    <style>
    .setting-button {
        box-shadow: 0px 0px 0px 0px #00000022;
        transition: box-shadow 0.3s;
    }

    .building-level-button.active,
    .setting-button:hover {
        box-shadow: 0px 0px 10px 5px #00000022;
        background-color:#00000009;
    }

    

    </style>
@endpush

@section('settings-button', 'active')

@section('header')
    <div class="d-flex h-100p" id="main-nav-button">
        <div class="h-100p d-flex-center mg-t-2 pd-lr-20 fs1 fw-bold cursor-default">Settings</div>
    </div>
    <div class="d-none" id="general-nav-button">
        <div class="h-100p d-flex-center mg-t-2 pd-lr-20 fs2 fw-bold clr-blue clr-blue-hv txt-u-hv cursor-pointer" onclick="back_click('general-nav-button', 'setting-general')">Back</div>
        <div class="h-100p d-flex-center mg-t-2 pd-lr-20 fs2 fw-bold cursor-default">General Settings</div>
        <div class="d-flex-center">
            <div id="save-setting-general-button" class="button-primary d-flex-center mg-l-2 mg-r-2" style="padding-top:5px; padding-bottom:5px; padding-left:10px;" onclick="submit_form('save-setting-general-button-form')">
                <span class="material-symbols-outlined b fs-20 mg-r-5 fw-bold">save</span>
                <div>Save</div>
            </div>
        </div>
    </div>
    <div class="d-none" id="announcement-nav-button">
        <div class="h-100p d-flex-center mg-t-2 pd-lr-20 fs2 fw-bold clr-blue clr-blue-hv txt-u-hv cursor-pointer" onclick="back_click('announcement-nav-button', 'setting-announcement')">Back</div>
        <div class="h-100p d-flex-center mg-t-2 pd-lr-20 fs2 fw-bold cursor-default">Announcement</div>
        <div class="d-flex-center">
            <div class="button-primary d-flex-center mg-l-2 mg-r-2" style="padding-top:5px; padding-bottom:5px; padding-left:10px;" onclick="open_popup_click('add-announcement-popup')">
                <span class="material-symbols-outlined b fs-20 mg-r-5 fw-bold">add</span>
                <div>Add</div>
            </div>
        </div>
    </div>
    <div class="d-none" id="building-level-nav-button">
        <div class="h-100p d-flex-center mg-t-2 pd-lr-20 fs2 fw-bold clr-blue clr-blue-hv txt-u-hv cursor-pointer" onclick="back_click('building-level-nav-button', 'setting-building-level')">Back</div>
        <div class="h-100p d-flex-center mg-t-2 pd-lr-20 fs2 fw-bold cursor-default">Building & Level</div>
        <div class="d-flex-center">
            <div id="add-faculty-btn" class="button-primary d-flex-center mg-l-2 mg-r-2" style="padding-top:5px; padding-bottom:5px; padding-left:10px;" onclick="open_popup_click('add-faculty-popup')">
                <span class="material-symbols-outlined b fs-20 mg-r-5 fw-bold">add</span>
                <div>Add</div>
            </div>
            <div id="add-building-btn" class="button-primary d-flex-center mg-l-2 mg-r-2 d-none" style="padding-top:5px; padding-bottom:5px; padding-left:10px;" onclick="open_popup_click('add-building-popup')">
                <span class="material-symbols-outlined b fs-20 mg-r-5 fw-bold">add</span>
                <div>Add</div>
            </div>
            <div id="add-level-btn" class="button-primary d-flex-center mg-l-2 mg-r-2 d-none" style="padding-top:5px; padding-bottom:5px; padding-left:10px;" onclick="open_popup_click('add-level-popup')">
                <span class="material-symbols-outlined b fs-20 mg-r-5 fw-bold">add</span>
                <div>Add</div>
            </div>
        </div>
    </div>
    <div class="d-none" id="public-holiday-nav-button">
        <div class="h-100p d-flex-center mg-t-2 pd-lr-20 fs2 fw-bold clr-blue clr-blue-hv txt-u-hv cursor-pointer" onclick="back_click('public-holiday-nav-button', 'setting-public-holiday')">Back</div>
        <div class="h-100p d-flex-center mg-t-2 pd-lr-20 fs2 fw-bold cursor-default">Holiday</div>
        <div class="d-flex-center">
            <div class="button-primary d-flex-center mg-l-2 mg-r-2" style="padding-top:5px; padding-bottom:5px; padding-left:10px;" onclick="open_popup_click('add-holiday-popup')">
                <span class="material-symbols-outlined b fs-20 mg-r-5 fw-bold">add</span>
                <div>Add</div>
            </div>
        </div>
    </div>
    <div class="d-none" id="smtp-relay-nav-button">
        <div class="h-100p d-flex-center mg-t-2 pd-lr-20 fs2 fw-bold clr-blue clr-blue-hv txt-u-hv cursor-pointer" onclick="back_click('smtp-relay-nav-button', 'setting-smtp-relay')">Back</div>
        <div class="h-100p d-flex-center mg-t-2 pd-lr-20 fs2 fw-bold cursor-default">SMTP Relay</div>
        <div class="d-flex-center">
            <div id="save-setting-smtp-button" class="button-primary d-flex-center mg-l-2 mg-r-2" style="padding-top:5px; padding-bottom:5px; padding-left:10px;" onclick="submit_form('save-setting-smtp-button-form')">
                <span class="material-symbols-outlined b fs-20 mg-r-5 fw-bold">save</span>
                <div>Save</div>
            </div>
        </div>
    </div>
    <div class="d-none" id="devices-nav-button">
        <div class="h-100p d-flex-center mg-t-2 pd-lr-20 fs2 fw-bold clr-blue clr-blue-hv txt-u-hv cursor-pointer" onclick="back_click('devices-nav-button', 'setting-devices')">Back</div>
        <div class="h-100p d-flex-center mg-t-2 pd-lr-20 fs2 fw-bold cursor-default">Devices</div>
        <div class="d-flex-center">
            <div class="button-primary d-flex-center mg-l-2 mg-r-2" style="padding-top:5px; padding-bottom:5px; padding-left:10px;" onclick="open_popup_click('add-device-popup')">
                <span class="material-symbols-outlined b fs-20 mg-r-5 fw-bold">Add</span>
                <div>Add</div>
            </div>
        </div>
    </div>
    <div class="d-none" id="integration-nav-button">
        <div class="h-100p d-flex-center mg-t-2 pd-lr-20 fs2 fw-bold clr-blue clr-blue-hv txt-u-hv cursor-pointer" onclick="back_click('integration-nav-button', 'setting-integration')">Back</div>
        <div class="h-100p d-flex-center mg-t-2 pd-lr-20 fs2 fw-bold cursor-default">Integration</div>
    </div>
@endsection

@section('main-body')
    @php
        $settings = App\Models\Settings::all();
        $buildings = App\Models\Buildings::all();
        $levels = App\Models\Levels::all();
        $devices = App\Models\Devices::all();
        $faculties = App\Models\Faculties::all();
        $rooms = App\Models\Rooms::all();
        $rooms_without_device = $rooms->whereNotIn('id', $devices->pluck('room_id')->toArray());
    @endphp

    <div id="setting-main">
        <div class="fw-wrap">
            <div class="">
                <div class="fs2 mg-t-10 pd-tb-20 fw-bold clr-grey-2 cursor-default">Application</div>
                <div class="w-100p h-100p d-flex fd-row fw-wrap">
                    <div onclick="setting_click('general-nav-button', 'setting-general'); localStorage.setItem('classroom-management-session', 'general');" class="setting-button d-flex-center jc-start w-280 h-50 pd-lr-20 pd-tb-5 mg-r-20 mg-tb-15 bs-bb br-5 of-hidden cursor-pointer f-shrink-0">
                        <span class="material-symbols-outlined clr-blue mg-r-10 fw-bold">web_asset</span>
                        <div>
                            <div class="fs3 clr-black-2 fw-bold">General</div>
                            <div class="fs3 clr-grey-2">General settings for application</div>
                        </div>
                    </div>
                    <!-- For pagination, to get the last session page -->
                    <div onclick="setting_click('announcement-nav-button', 'setting-announcement'); localStorage.setItem('classroom-management-session', 'announcement');" class="setting-button d-flex-center jc-start w-280 h-50 pd-lr-20 pd-tb-5 mg-r-20 mg-tb-15 bs-bb br-5 of-hidden cursor-pointer f-shrink-0">
                        <span class="material-symbols-outlined clr-blue mg-r-10 fw-bold">chat</span>
                        <div>
                            <div class="fs3 clr-black-2 fw-bold">Announcement</div>
                            <div class="fs3 clr-grey-2">Announcement for system user</div>
                        </div>
                    </div>
                    <div onclick="setting_click('building-level-nav-button', 'setting-building-level'); localStorage.setItem('classroom-management-session', 'building-level');" class="setting-button d-flex-center jc-start w-280 h-50 pd-lr-20 pd-tb-5 mg-r-20 mg-tb-15 bs-bb br-5 of-hidden cursor-pointer f-shrink-0">
                        <span class="material-symbols-outlined clr-blue mg-r-10 fw-bold">apartment</span>
                        <div>
                            <div class="fs3 clr-black-2 fw-bold">Building & Level</div>
                            <div class="fs3 clr-grey-2">Building & level for room</div>
                        </div>
                    </div>
                    <div onclick="setting_click('public-holiday-nav-button', 'setting-public-holiday'); localStorage.setItem('classroom-management-session', 'public-holiday');" class="setting-button d-flex-center jc-start w-280 h-50 pd-lr-20 pd-tb-5 mg-r-20 mg-tb-15 bs-bb br-5 of-hidden cursor-pointer f-shrink-0">
                        <span class="material-symbols-outlined clr-blue mg-r-10 fw-bold">calendar_today</span>
                        <div>
                            <div class="fs3 clr-black-2 fw-bold">Public Holiday</div>
                            <div class="fs3 clr-grey-2">Public Holiday for class</div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="">
                <div class="fs2 mg-t-20 pd-tb-20 fw-bold clr-grey-2 cursor-default">System</div>
                <div class="w-100p h-100p d-flex fd-row fw-wrap">
                    <div onclick="setting_click('smtp-relay-nav-button', 'setting-smtp-relay'); localStorage.setItem('classroom-management-session', 'smtp-relay');" class="setting-button d-flex-center jc-start w-280 h-50 pd-lr-20 pd-tb-5 mg-r-20 mg-tb-15 bs-bb br-5 of-hidden cursor-pointer f-shrink-0">
                        <span class="material-symbols-outlined clr-blue mg-r-10 fw-bold">mail</span>
                        <div>
                            <div class="fs3 clr-black-2 fw-bold">SMTP Relay</div>
                            <div class="fs3 clr-grey-2">SMTP relay settings for outgoing email</div>
                        </div>
                    </div>
                    <div onclick="setting_click('devices-nav-button', 'setting-devices'); localStorage.setItem('classroom-management-session', 'devices');" class="setting-button d-flex-center jc-start w-280 h-50 pd-lr-20 pd-tb-5 mg-r-20 mg-tb-15 bs-bb br-5 of-hidden cursor-pointer f-shrink-0">
                        <span class="material-symbols-outlined clr-blue mg-r-10 fw-bold">camera_video</span>
                        <div>
                            <div class="fs3 clr-black-2 fw-bold">Devices</div>
                            <div class="fs3 clr-grey-2">Devices for room</div>
                        </div>
                    </div>
                    <div onclick="setting_click('integration-nav-button', 'setting-integration'); localStorage.setItem('classroom-management-session', 'integration');" class="setting-button d-flex-center jc-start w-280 h-50 pd-lr-20 pd-tb-5 mg-r-20 mg-tb-15 bs-bb br-5 of-hidden cursor-pointer f-shrink-0">
                        <span class="material-symbols-outlined clr-blue mg-r-10 fw-bold">data_table</span>
                        <div>
                            <div class="fs3 clr-black-2 fw-bold">Integration</div>
                            <div class="fs3 clr-grey-2">Integration settings for system</div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div id="setting-general" class="d-none">
        <div class="fw-wrap">
            <form id="save-setting-general-button-form" action="{{route('setting.update-general')}}" method="POST" class="h-100p w-100p cursor-default">
                @csrf
                @method('PATCH')

                <div class="general-system">
                    <div class="fs2 mg-t-20 pd-tb-20 fw-bold clr-grey-2 cursor-default">System</div>
                    <div class="w-100p h-100p d-flex fd-row fw-wrap">
                        <div class="w-300 pd-r-10 pd-tb-5 mg-r-10 mg-tb-5 bs-bb fw-shrink-0">
                            <div class="fs3 clr-black-2 fw-bold">System Version</div>
                            <div class="fs3 clr-grey-2">Current system version</div>
                        </div>
                        <div class="d-flex ai-center fs3 clr-grey-2 w-300 pd-r-10 pd-tb-5 mg-r-10 mg-tb-5 bs-bb fw-shrink-0">{{App\Models\Settings::where('setting_key', 'system_version')->get()->first()->setting_value}}</div>
                        <input type="hidden" name="system_version" value="{{App\Models\Settings::where('setting_key', 'system_version')->get()->first()->setting_value}}">
                    </div>
                    <div class="w-100p h-100p d-flex fd-row fw-wrap">
                        <div class="w-300 pd-r-10 pd-tb-5 mg-r-10 mg-tb-5 bs-bb fw-shrink-0">
                            <div class="fs3 clr-black-2 fw-bold">System Updated</div>
                            <div class="fs3 clr-grey-2">Date of system updated</div>
                        </div>
                        <div class="d-flex ai-center fs3 clr-grey-2 w-300 pd-r-10 pd-tb-5 mg-r-10 mg-tb-5 bs-bb fw-shrink-0">
                            {{ Carbon\Carbon::parse(App\Models\Settings::where('setting_key', 'system_updated')->get()->first()->setting_value, 'Asia/Kuala_Lumpur')->format('d F Y') }}
                        </div>
                        <input type="hidden" name="system_updated" value="{{App\Models\Settings::where('setting_key', 'system_updated')->get()->first()->setting_value}}">
                    </div>
                    <div class="w-100p h-100p d-flex fd-row fw-wrap">
                        <div class="w-300 pd-r-10 pd-tb-5 mg-r-10 mg-tb-5 bs-bb fw-shrink-0">
                            <div class="fs3 clr-black-2 fw-bold">Company Name</div>
                            <div class="fs3 clr-grey-2">Define your company name to display</div>
                        </div>
                        <input class="dropdown-button fs3 clr-grey-2 w-300 pd-r-10 pd-tb-5 mg-r-10 mg-tb-5 bs-bb fw-shrink-0" style="cursor:text;" name="company_name" value='{{App\Models\Settings::where('setting_key', 'company_name')->get()->first()->setting_value}}'>
                    </div>
                    <div class="w-100p h-100p d-flex fd-row fw-wrap">
                        <div class="w-300 pd-r-10 pd-tb-5 mg-r-10 mg-tb-5 bs-bb fw-shrink-0">
                            <div class="fs3 clr-black-2 fw-bold">Short Name</div>
                            <div class="fs3 clr-grey-2">Define your company short name to display</div>
                        </div>
                        <input class="dropdown-button fs3 clr-grey-2 w-300 pd-r-10 pd-tb-5 mg-r-10 mg-tb-5 bs-bb fw-shrink-0" style="cursor:text;" name="short_name" value='{{App\Models\Settings::where('setting_key', 'short_name')->get()->first()->setting_value}}'>
                    </div>
                    <div class="w-100p h-100p d-flex fd-row fw-wrap">
                        <div class="w-300 pd-r-10 pd-tb-5 mg-r-10 mg-tb-5 bs-bb fw-shrink-0">
                            <div class="fs3 clr-black-2 fw-bold">System Name</div>
                            <div class="fs3 clr-grey-2">Define your system name to display</div>
                        </div>
                        <input class="dropdown-button fs3 clr-grey-2 w-300 pd-r-10 pd-tb-5 mg-r-10 mg-tb-5 bs-bb fw-shrink-0" style="cursor:text;" name="system_name" value='{{App\Models\Settings::where('setting_key', 'system_name')->get()->first()->setting_value}}'>
                    </div>
                </div>
                <div class="general-time-slot">
                    <div class="fs2 mg-t-20 pd-tb-20 fw-bold clr-grey-2 cursor-default">Time Slot</div>
                    <div class="w-100p h-100p d-flex fd-row fw-wrap">
                        <div class="w-300 pd-r-10 pd-tb-5 mg-r-10 mg-tb-5 bs-bb fw-shrink-0">
                            <div class="fs3 clr-black-2 fw-bold">Custom Range</div>
                            <div class="fs3 clr-grey-2">Enable for custom time range</div>
                        </div>
                        <div class="switch d-flex ai-center">
                            @if (App\Models\Settings::where('setting_key', 'custom_range')->get()->first()->setting_value)
                                <input type="checkbox" id="switchCustomRange" onclick="toggleStartEndTimeSection();" name="custom_range" checked=""/>
                            @else 
                                <input type="checkbox" id="switchCustomRange" onclick="toggleStartEndTimeSection();" name="custom_range"/>
                            @endif
                            <label for="switchCustomRange" class="toggle"><span></span></label>
                        </div>
                    </div>
                    @php
                        $startEndTimeDisplay = 'd-none';
                        if ((App\Models\Settings::where('setting_key', 'custom_range')->get()->first()->setting_value) == 1){
                            $startEndTimeDisplay = '';
                        } else{
                            $startEndTimeDisplay = 'd-none';
                        }
                    @endphp

                    <div id="start-end-time-section" class="{{$startEndTimeDisplay}}">
                        <div class="w-100p h-100p d-flex fd-row fw-wrap">
                            <div class="w-300 pd-r-10 pd-tb-5 mg-r-10 mg-tb-5 bs-bb fw-shrink-0">
                                <div class="fs3 clr-black-2 fw-bold">Start Time</div>
                                <div class="fs3 clr-grey-2">Start time for room booking</div>
                            </div>
                            <div>
                                <div id="setting-option-dropdown-start-time-button" class="dropdown-button w-300 fs4 clr-grey-2 bs-bb" style="padding-top:12px; padding-bottom:12px;">{{ Carbon\Carbon::parse(App\Models\Settings::where('setting_key', 'start_time')->get()->first()->setting_value, 'Asia/Kuala_Lumpur')->format('h:i:s A') }}</div>
                                <input id="setting-option-dropdown-start-time-input" type="hidden" name="start_time" value="{{App\Models\Settings::where('setting_key', 'start_time')->get()->first()->setting_value}}">
                                <div class="dropdown w-300 h-150 cursor-pointer" id="setting-option-start-time-dropdown" style="position:absolute;">
                                    @php
                                        $startTime = new DateTime('00:00:00');
                                        $endTime = new DateTime('23:30:00');
                                        $currentTime = clone $startTime;
                                    @endphp
                                    @while ($currentTime <= $endTime)
                                        <div class="option" id="start-time-option">
                                            <div class="fs3 clr-grey-1" onclick="dropdown_option_input_click(this, 'setting-option-dropdown-start-time-button', 'setting-option-dropdown-start-time-input', '{{Carbon\Carbon::parse($currentTime)->format('H:i:s')}}', 'setting-option-start-time-dropdown')">{{ Carbon\Carbon::parse($currentTime)->format('h:i:s A') }}</div>
                                            @php $currentTime->modify('+30 minutes') @endphp
                                        </div>
                                    @endwhile
                                </div>
                            </div>
                        </div>
                        <div class="w-100p h-100p d-flex fd-row fw-wrap">
                            <div class="w-300 pd-r-10 pd-tb-5 mg-r-10 mg-tb-5 bs-bb fw-shrink-0">
                                <div class="fs3 clr-black-2 fw-bold">End time</div>
                                <div class="fs3 clr-grey-2">End time for room booking</div>
                            </div>
                            <div>
                                <div id="setting-option-dropdown-end-time-button" class="dropdown-button w-300 fs4 clr-grey-2 bs-bb" style="padding-top:12px; padding-bottom:12px;">{{ Carbon\Carbon::parse(App\Models\Settings::where('setting_key', 'end_time')->get()->first()->setting_value)->format('h:i:s A') }}</div>
                                <input id="setting-option-dropdown-end-time-input" type="hidden" name="end_time" value="{{App\Models\Settings::where('setting_key', 'end_time')->get()->first()->setting_value}}">
                                <div class="dropdown w-300 h-150 cursor-pointer" id="setting-option-end-time-dropdown" style="position:absolute;">
                                    @php
                                        $startTime = new DateTime('00:00:00');
                                        $endTime = new DateTime('23:30:00');
                                        $currentTime = clone $startTime;
                                    @endphp
                                    @while ($currentTime <= $endTime)
                                        <div class="option" id="end-time-option">
                                            <div class="fs3 clr-grey-1" onclick="dropdown_option_input_click(this, 'setting-option-dropdown-end-time-button', 'setting-option-dropdown-end-time-input', '{{Carbon\Carbon::parse($currentTime)->format('H:i:s')}}', 'setting-option-end-time-dropdown')">{{ Carbon\Carbon::parse($currentTime)->format('h:i:s A') }}</div>
                                            @php $currentTime->modify('+30 minutes') @endphp
                                        </div>
                                    @endwhile
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="general-attendance">
                    <div class="fs2 mg-t-20 pd-tb-20 fw-bold clr-grey-2 cursor-default">Attendance</div>
                    <div class="w-100p h-100p d-flex fd-row fw-wrap">
                        <div class="w-300 pd-r-10 pd-tb-5 mg-r-10 mg-tb-5 bs-bb fw-shrink-0">
                            <div class="fs3 clr-black-2 fw-bold">Attendance Type</div>
                            <div class="fs3 clr-grey-2">Attendance type for student check in</div>
                        </div>
                        <div>
                            <div id="setting-option-dropdown-button" class="dropdown-button w-300 fs4 clr-grey-2 bs-bb" style="padding-top:12px; padding-bottom:12px;">{{App\Models\Settings::where('setting_key', 'attendance_type')->get()->first()->setting_value}}</div>
                            <input id="setting-option-dropdown-input" type="hidden" name="attendance_type" value="{{App\Models\Settings::where('setting_key', 'attendance_type')->get()->first()->setting_value}}">
                            <div class="dropdown w-300 cursor-pointer" id="setting-option-dropdown" style="position:absolute;">
                                <div class="option" id="check-in-option">
                                    <div class="fs3 clr-grey-1" onclick="dropdown_option_input_click(this, 'setting-option-dropdown-button', 'setting-option-dropdown-input', this.textContent, 'setting-option-dropdown')">Check in</div>
                                </div>
                                <div class="option pd-b-10" id="check-in-out-option">
                                    <div class="fs3 clr-grey-1" onclick="dropdown_option_input_click(this, 'setting-option-dropdown-button', 'setting-option-dropdown-input', this.textContent, 'setting-option-dropdown')">Check in and check out</div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="general-email">
                    <div class="fs2 mg-t-20 pd-tb-20 fw-bold clr-grey-2 cursor-default">Email</div>
                    <div class="w-100p h-100p d-flex fd-row fw-wrap">
                        <div class="w-300 pd-r-10 pd-tb-5 mg-r-10 mg-tb-5 bs-bb fw-shrink-0">
                            <div class="fs3 clr-black-2 fw-bold">Send Email</div>
                            <div class="fs3 clr-grey-2">Enable process to send email</div>
                        </div>
                        <div class="switch d-flex ai-center">
                            @if (App\Models\Settings::where('setting_key', 'send_email')->get()->first()->setting_value)
                                <input type="checkbox" id="switch2" name="send_email" checked=""/>
                            @else 
                                <input type="checkbox" id="switch2" name="send_email"/>
                            @endif
                                <label for="switch2" class="toggle"><span></span></label>
                        </div>
                    </div>
                    <div class="w-100p h-100p d-flex fd-row fw-wrap">
                        <div class="w-300 pd-r-10 pd-tb-5 mg-r-10 mg-tb-5 bs-bb fw-shrink-0">
                            <div class="fs3 clr-black-2 fw-bold">Security Team</div>
                            <div class="fs3 clr-grey-2">Security team email for notification</div>
                        </div>
                        <input class="dropdown-button fs3 clr-grey-2 w-300 pd-r-10 pd-tb-5 mg-r-10 mg-tb-5 bs-bb fw-shrink-0" style="cursor:text;" name="security_team" value='{{App\Models\Settings::where('setting_key', 'security_team')->get()->first()->setting_value}}'>
                    </div>
                </div>
            </form>
        </div>
    </div>

    <div id="setting-announcement" class="w-100p h-100p d-none">
        <div class="fw-wrap w-100p h-100p pd-t-20">
            @if ($announcements->isEmpty())
                <div class="d-flex fd-column ai-center">
                    <span class="material-symbols-outlined clr-grey-2 fs-200">chat</span>
                    <div class="clr-grey-2 fs2">Currently you have no announcement to show.</div>
                </div>
            @else
                <div class="w-100p d-flex cursor-default">
                    <div class="d-flex w-100p of-auto">
                        {{--<div class="d-flex w-1000 h-400 of-auto">
                         @foreach ($announcements as $announcement)
                        <div class="d-flex fd-column w-300 h-350 f-shrink-0 bg-plt5 mg-10 pd-10 br-5 bs-bb">
                            <div class="d-flex mg-b-30">
                                <div class="fs2 clr-grey-1 fw-bold">{{$announcement->title}}</div>
                            </div>
                            <div class="d-flex mg-b-20">
                                <div class="fs3 clr-grey-1 fw-bold">{{$announcement->message}}</div>
                            </div>
                            <div class="w-100p h-100p d-flex mg-5">
                                <div class="d-flex jc-start ai-end">
                                    <div class="d-flex tw-nowrap fs-12 clr-grey-1 clr-white-hv bg-blue-1-hv pd-5 br-5 cursor-pointer" onclick="open_popup_click('edit-announcement-{{$announcement->id}}-popup')">
                                        <span class="material-symbols-outlined">edit</span>
                                    </div>
                                    <div class="d-flex tw-nowrap fs-12 clr-grey-1 clr-white-hv bg-blue-1-hv pd-5 br-5 cursor-pointer" onclick="if(confirm('Are you sure you want to delete {{$announcement->title}}?')) {submit_form('delete-announcement-{{$announcement->id}}-form')}">
                                        <span class="material-symbols-outlined">delete</span>
                                        <form id="delete-announcement-{{$announcement->id}}-form" class="d-none" action="{{route('setting.delete-announcement-by-id',['id' => $announcement->id])}}" method="POST">
                                            @csrf
                                            @method('DELETE')       
                                        </form>
                                    </div>
                                </div>
                                <div class="w-100p d-flex fd-column jc-end ai-end">
                                    <div class="fs4 clr-grey-2 fw-bold">Date Publish: {{$announcement->date_publish}}</div>
                                    <div class="fs4 clr-grey-2 fw-bold">Date Expiry:{{$announcement->date_expiry}}</div>
                                </div>
                            </div>
                        </div>
                        @endforeach --}}
                        <table class="table w-100p">
                            <tr>
                                <th></th>
                                <th>Title</th>
                                <th>Message</th>
                                <th>Date Publish</th>
                                <th>Date Expiry</th>
                                <th></th>
                            </tr>
                            @php $count = 1; @endphp
                            @foreach ($announcements as $announcement)
                                <tr>
                                    <td style="width:0px">
                                        <div class="d-flex-center">
                                            <div class="bg-plt1-tr2 pd-3 fs-12 fw-bold pd-tb-3 pd-lr-5 br-4">{{$count}}</div>
                                        </div>
                                    </td>
                                    <td>
                                        <div class="tw-nowrap fs-12 clr-grey-1">{{$announcement->title}}</div>
                                    </td>
                                    <td>
                                        <div class="tw-nowrap fs-12 clr-grey-1">{{$announcement->message}}</div>
                                    </td>
                                    <td>
                                        <div class="tw-nowrap fs-12 clr-grey-1">{{$announcement->date_publish}}</div>
                                    </td>
                                    <td>
                                        <div class="tw-nowrap fs-12 clr-grey-1">{{$announcement->date_expiry}}</div>
                                    </td>
                                    <td>
                                        <div class="tw-nowrap fs-12 clr-grey-1"></div>
                                        <div class="d-flex jc-start ai-end">
                                            <div class="d-flex tw-nowrap fs-12 clr-grey-1 clr-white-hv bg-blue-1-hv pd-5 br-5 cursor-pointer" onclick="open_popup_click('edit-announcement-{{$announcement->id}}-popup')">
                                                <span class="material-symbols-outlined">edit</span>
                                            </div>
                                            <div class="d-flex tw-nowrap fs-12 clr-grey-1 clr-white-hv bg-blue-1-hv pd-5 br-5 cursor-pointer" onclick="if(confirm('Are you sure you want to delete {{$announcement->title}}?')) {submit_form('delete-announcement-{{$announcement->id}}-form')}">
                                                <span class="material-symbols-outlined">delete</span>
                                                <form id="delete-announcement-{{$announcement->id}}-form" class="d-none" action="{{route('setting.delete-announcement-by-id',['id' => $announcement->id])}}" method="POST">
                                                    @csrf
                                                    @method('DELETE')       
                                                </form>
                                            </div>
                                        </div>
                                    </td>
                                </tr>
                                @php $count += 1; @endphp
                            @endforeach
                        </table>
                    </div>
                    <div class="">{{ $announcements->links('vendor.pagination.tailwind') }}</div>
                </div>
            @endif
        </div>
    </div>

    <div id="setting-building-level" class="w-100p h-100p d-none">
        <div class="d-flex w-100p h-100p pd-t-20">
            <div class="d-flex fd-column w-200 h-100p">
                <div onclick="setting_building_level_click('setting-faculty-part', this)" class="setting-button active building-level-button d-flex-center jc-start bg-plt5 w-180 h-50 pd-lr-20 pd-tb-5 mg-r-20 mg-tb-5 bs-bb br-5 of-hidden cursor-pointer f-shrink-0">
                    <div>
                        <div class="fs3 clr-black-2 fw-bold">Faculty</div>
                    </div>
                </div>
                <div onclick="setting_building_level_click('setting-building-part', this)" class="setting-button building-level-button d-flex-center jc-start bg-plt5 w-180 h-50 pd-lr-20 pd-tb-5 mg-r-20 mg-tb-5 bs-bb br-5 of-hidden cursor-pointer f-shrink-0">
                    <div>
                        <div class="fs3 clr-black-2 fw-bold">Building</div>
                    </div>
                </div>
                <div onclick="setting_building_level_click('setting-level-part', this)" class="setting-button building-level-button d-flex-center jc-start bg-plt5 w-180 h-50 pd-lr-20 pd-tb-5 mg-r-20 mg-tb-5 bs-bb br-5 of-hidden cursor-pointer f-shrink-0">
                    <div>
                        <div class="fs3 clr-black-2 fw-bold">Level</div>
                    </div>
                </div>
            </div>
            <div class="d-flex w-1 h-100p mg-lr-30" style="background-color:#00000022"></div>

            <div class="d-flex w-700 h-100p cursor-default">
                <div id="setting-faculty-part" class="building-level-part w-100p h-100p">
                    <div class="fs3 clr-black-2 fw-bold">Faculty</div>
                    <div class="w-100p h-100p">
                        <table class="table w-100p mg-tb-20">
                            <tr>
                                <th><div class="fs3">Faculty Name</div></th>
                                <th></th>
                            </tr>
                
                            @foreach ($faculties as $faculty)
                                <tr>
                                    <td>
                                        <div class="tw-nowrap fs-12 clr-grey-1">{{$faculty->name}}</div>
                                    </td>
                                    <td class="h-100p">
                                        <div class="d-flex jc-end h-100p">
                                            <div class="d-flex tw-nowrap fs-12 clr-grey-1 clr-white-hv bg-blue-1-hv pd-5 br-5 cursor-pointer" onclick="open_popup_click('edit-faculty-{{$faculty->id}}-popup')">
                                                <span class="material-symbols-outlined">edit</span>
                                            </div>
                                            <div class="d-flex tw-nowrap fs-12 clr-grey-1 clr-white-hv bg-blue-1-hv pd-5 br-5 cursor-pointer" onclick="if(confirm('Are you sure you want to delete {{$faculty->name}}?')) {submit_form('delete-faculty-{{$faculty->id}}-form')}">
                                                <span class="material-symbols-outlined">delete</span>
                                                <form id="delete-faculty-{{$faculty->id}}-form" class="d-none" action="{{route('setting.delete-faculty-by-id',['id' => $faculty->id])}}" method="POST">
                                                    @csrf
                                                    @method('DELETE')       
                                                </form>
                                            </div>
                                        </div>
                                    </td>
                                </tr>
                            @endforeach
                        </table>
                    </div>
                </div>
                <div id="setting-building-part" class="building-level-part w-100p h-100p d-none">
                    <div class="fs3 clr-black-2 fw-bold">Building</div>
                    <div class="w-100p h-100p">
                        <table class="table w-100p mg-tb-20">
                            <tr>
                                <th><div class="fs3">Building Name</div></th>
                                <th><div class="fs3">Faculty Name</div></th>
                                <th></th>
                            </tr>
                
                            @foreach ($buildings as $building)
                                <tr>
                                    <td>
                                        <div class="tw-nowrap fs-12 clr-grey-1">{{$building->faculty->name}}</div>
                                    </td>
                                    <td>
                                        <div class="tw-nowrap fs-12 clr-grey-1">{{$building->name}}</div>
                                    </td>
                                    <td class="h-100p">
                                        <div class="d-flex jc-end h-100p">
                                            <div class="d-flex tw-nowrap fs-12 clr-grey-1 clr-white-hv bg-blue-1-hv pd-5 br-5 cursor-pointer" onclick="open_popup_click('edit-building-{{$building->id}}-popup')">
                                                <span class="material-symbols-outlined">edit</span>
                                            </div>
                                            <div class="d-flex tw-nowrap fs-12 clr-grey-1 clr-white-hv bg-blue-1-hv pd-5 br-5 cursor-pointer" onclick="if(confirm('Are you sure you want to delete {{$building->name}}?')) {submit_form('delete-building-{{$building->id}}-form')}">
                                                <span class="material-symbols-outlined">delete</span>
                                                <form id="delete-building-{{$building->id}}-form" class="d-none" action="{{route('setting.delete-building-by-id',['id' => $building->id])}}" method="POST">
                                                    @csrf
                                                    @method('DELETE')       
                                                </form>
                                            </div>
                                        </div>
                                    </td>
                                </tr>
                            @endforeach
                        </table>
                    </div>
                </div>
                <div id="setting-level-part" class="building-level-part w-100p h-100p d-none">
                    <div class="fs3 clr-black-2 fw-bold">Level</div>
                    <div class="w-100p h-100p">
                        <table class="table w-100p mg-tb-20">
                            <tr>
                                <th><div class="fs3">Faculty Name</div></th>
                                <th><div class="fs3">Building Name</div></th>
                                <th><div class="fs3">Level Name</div></th>
                                <th></th>
                            </tr>
                
                            @foreach ($levels as $level)
                                <tr>
                                    <td>
                                        <div class="tw-nowrap fs-12 clr-grey-1">{{$level->faculty->name}}</div>
                                    </td>
                                    <td>
                                        <div class="tw-nowrap fs-12 clr-grey-1">{{$level->building->name}}</div>
                                    </td>
                                    <td>
                                        <div class="tw-nowrap fs-12 clr-grey-1">{{$level->name}}</div>
                                    </td>
                                    <td class="h-100p">
                                        <div class="d-flex jc-end h-100p">
                                            <div class="d-flex tw-nowrap fs-12 clr-grey-1 clr-white-hv bg-blue-1-hv pd-5 br-5 cursor-pointer" onclick="open_popup_click('edit-level-{{$level->id}}-popup')">
                                                <span class="material-symbols-outlined">edit</span>
                                            </div>
                                            <div class="d-flex tw-nowrap fs-12 clr-grey-1 clr-white-hv bg-blue-1-hv pd-5 br-5 cursor-pointer" onclick="if(confirm('Are you sure you want to delete {{$level->name}}?')) {submit_form('delete-level-{{$level->id}}-form')}">
                                                <span class="material-symbols-outlined">delete</span>
                                                <form id="delete-level-{{$level->id}}-form" class="d-none" action="{{route('setting.delete-level-by-id',['id' => $level->id])}}" method="POST">
                                                    @csrf
                                                    @method('DELETE')       
                                                </form>
                                            </div>
                                        </div>
                                    </td>
                                </tr>
                            @endforeach
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div id="setting-public-holiday" class="w-100p h-100p d-none">
        <div class="fw-wrap w-100p h-100p pd-t-20">
            @if ($holidays->isEmpty())
                <div class="d-flex fd-column ai-center">
                    <span class="material-symbols-outlined clr-grey-2 fs-200">calendar_today</span>
                    <div class="clr-grey-2 fs2">Currently you have no public holiday to show.</div>
                </div>
            @else
                <table class="table w-100p">
                    <tr>
                        <th></th>
                        <th>Description</th>
                        <th>Date</th>
                        <th></th>
                    </tr>
        
                    @php $count = 1; @endphp
                    @foreach ($holidays as $holiday)
                        <tr>
                            <td style="width:0px">
                                <div class="d-flex-center">
                                    <div class="bg-plt1-tr2 pd-3 fs-12 fw-bold pd-tb-3 pd-lr-5 br-4">{{$count}}</div>
                                </div>
                            </td>
                            <td>
                                <div class="tw-nowrap fs-12 clr-grey-1">{{$holiday->description}}</div>
                            </td>
                            <td>
                                <div class="tw-nowrap fs-12 clr-grey-1">{{Carbon\Carbon::parse($holiday->date, 'Asia/Kuala_Lumpur')->format('l, d F Y')}}</div>
                            </td>
                            <td class="h-100p">
                                <div class="d-flex h-100p">
                                    <div class="d-flex tw-nowrap fs-12 clr-grey-1 clr-white-hv bg-blue-1-hv pd-5 br-5 cursor-pointer" onclick="open_popup_click('edit-holiday-{{$holiday->id}}-popup')">
                                        <span class="material-symbols-outlined">edit</span>
                                    </div>
                                    <div class="d-flex tw-nowrap fs-12 clr-grey-1 clr-white-hv bg-blue-1-hv pd-5 br-5 cursor-pointer" onclick="if(confirm('Are you sure you want to delete {{$holiday->name}}?')) {submit_form('delete-holiday-{{$holiday->id}}-form')}">
                                        <span class="material-symbols-outlined">delete</span>
                                        <form id="delete-holiday-{{$holiday->id}}-form" class="d-none" action="{{route('setting.delete-holiday-by-id',['id' => $holiday->id])}}" method="POST">
                                            @csrf
                                            @method('DELETE')       
                                        </form>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        @php $count += 1; @endphp
                    @endforeach
                </table>
                <div class="">{{ $holidays->links('vendor.pagination.tailwind') }}</div>
            @endif
        </div>
    </div>

    <div id="setting-smtp-relay" class="d-none">
        <div class="fw-wrap">
            <form id="save-setting-smtp-button-form" action="{{route('setting.update-smtp')}}" method="POST" class="h-100p w-100p cursor-default">
                @csrf
                @method('PATCH')

                <div class="smtp-relay">
                    <div class="fs2 mg-t-20 pd-tb-20 fw-bold clr-grey-2 cursor-default">SMTP</div>
                    <div class="w-100p h-100p d-flex fd-row fw-wrap">
                        <div class="w-300 pd-r-10 pd-tb-5 mg-r-10 mg-tb-5 bs-bb fw-shrink-0">
                            <div class="fs3 clr-black-2 fw-bold">SMTP server</div>
                            <div class="fs3 clr-grey-2">Server name for your SMTP relay</div>
                        </div>
                        <input class="dropdown-button fs3 clr-grey-2 w-300 pd-r-10 pd-tb-5 mg-r-10 mg-tb-5 bs-bb fw-shrink-0" style="cursor:text;" name="smtp_server" value='{{App\Models\Settings::where('setting_key', 'smtp_server')->get()->first()->setting_value}}'>
                    </div>
                    <div class="w-100p h-100p d-flex fd-row fw-wrap">
                        <div class="w-300 pd-r-10 pd-tb-5 mg-r-10 mg-tb-5 bs-bb fw-shrink-0">
                            <div class="fs3 clr-black-2 fw-bold">SMTP sender name</div>
                            <div class="fs3 clr-grey-2">Sender name to display in email</div>
                        </div>
                        <input class="dropdown-button fs3 clr-grey-2 w-300 pd-r-10 pd-tb-5 mg-r-10 mg-tb-5 bs-bb fw-shrink-0" style="cursor:text;" name="smtp_sender_name" value='{{App\Models\Settings::where('setting_key', 'smtp_sender_name')->get()->first()->setting_value}}'>
                    </div>
                    <div class="w-100p h-100p d-flex fd-row fw-wrap">
                        <div class="w-300 pd-r-10 pd-tb-5 mg-r-10 mg-tb-5 bs-bb fw-shrink-0">
                            <div class="fs3 clr-black-2 fw-bold">SMTP username</div>
                            <div class="fs3 clr-grey-2">Username to access SMTP relay</div>
                        </div>
                        <input class="dropdown-button fs3 clr-grey-2 w-300 pd-r-10 pd-tb-5 mg-r-10 mg-tb-5 bs-bb fw-shrink-0" style="cursor:text;" name="smtp_username" value='{{App\Models\Settings::where('setting_key', 'smtp_username')->get()->first()->setting_value}}'>
                    </div>
                    <div class="w-100p h-100p d-flex fd-row fw-wrap">
                        <div class="w-300 pd-r-10 pd-tb-5 mg-r-10 mg-tb-5 bs-bb fw-shrink-0">
                            <div class="fs3 clr-black-2 fw-bold">SMTP password</div>
                            <div class="fs3 clr-grey-2">Password for SMTP username</div>
                        </div>
                        <input class="dropdown-button fs3 clr-grey-2 w-300 pd-r-10 pd-tb-5 mg-r-10 mg-tb-5 bs-bb fw-shrink-0" style="cursor:text;" name="smtp_password" value='{{App\Models\Settings::where('setting_key', 'smtp_password')->get()->first()->setting_value}}'>
                    </div>
                    <div class="w-100p h-100p d-flex fd-row fw-wrap">
                        <div class="w-300 pd-r-10 pd-tb-5 mg-r-10 mg-tb-5 bs-bb fw-shrink-0">
                            <div class="fs3 clr-black-2 fw-bold">SMTP port</div>
                            <div class="fs3 clr-grey-2">Port number for SMTP relay</div>
                        </div>
                        <input class="dropdown-button fs3 clr-grey-2 w-300 pd-r-10 pd-tb-5 mg-r-10 mg-tb-5 bs-bb fw-shrink-0" style="cursor:text;" name="smtp_port" value='{{App\Models\Settings::where('setting_key', 'smtp_port')->get()->first()->setting_value}}'>
                    </div>
                    <div class="w-100p h-100p d-flex fd-row fw-wrap">
                        <div class="w-300 pd-r-10 pd-tb-5 mg-r-10 mg-tb-5 bs-bb fw-shrink-0">
                            <div class="fs3 clr-black-2 fw-bold">Enable SSL</div>
                            <div class="fs3 clr-grey-2">Enable SSL for SMTP relay</div>
                        </div>
                        <div class="switch d-flex ai-center">
                            @if (App\Models\Settings::where('setting_key', 'enable_ssl')->get()->first()->setting_value)
                                <input type="checkbox" id="switch3" name="enable_ssl" checked=""/>
                            @else 
                                <input type="checkbox" id="switch3" name="enable_ssl"/>
                            @endif
                                <label for="switch3" class="toggle"><span></span></label>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>

    <div id="setting-devices" class="d-none">
        <div class="fw-wrap w-100p">
            <table class="table w-100p cursor-default">
                <tr>
                    <th></th>
                    <th>Access Level</th>
                    <th>Privilege Group ID</th>
                    <th>Devices</th>
                    <th>Room</th>
                    <th></th>
                </tr>
    
                @php $count = 1; @endphp
                @foreach ($devices as $device)
                    <tr>
                        <td style="width:0px">
                            <div class="d-flex-center">
                                <div class="bg-plt1-tr2 pd-3 fs-12 fw-bold pd-tb-3 pd-lr-5 br-4">{{$count}}</div>
                            </div>
                        </td>
                        <td>
                            <div class="tw-nowrap fs-12 clr-grey-1">{{$device->name}}</div>
                        </td>
                        <td>
                            <div class="tw-nowrap fs-12 clr-grey-1">{{$device->privilege_group_id}}</div>
                        </td>
                        <td>
                            <div class="access-level-{{$device->privilege_group_id}}"></div>
                        </td>
                        <td>
                            <div class="tw-nowrap fs-12 clr-grey-1">{{$device->room->name}}</div>
                        </td>
                        <td class="h-100p">
                            <div class="d-flex h-100p">
                                <div class="d-flex tw-nowrap fs-12 clr-grey-1 clr-white-hv bg-blue-1-hv pd-5 br-5 cursor-pointer" onclick="open_popup_click('edit-device-{{$device->id}}-popup')">
                                    <span class="material-symbols-outlined">edit</span>
                                </div>
                                <div class="d-flex tw-nowrap fs-12 clr-grey-1 clr-white-hv bg-blue-1-hv pd-5 br-5 cursor-pointer" onclick="if(confirm('Are you sure you want to delete {{$device->name}}?')) {submit_form('delete-device-{{$device->id}}-form')}">
                                    <span class="material-symbols-outlined">delete</span>
                                    <form id="delete-device-{{$device->id}}-form" class="d-none" action="{{route('setting.delete-device-by-id',['id' => $device->id])}}" method="POST">
                                        @csrf
                                        @method('DELETE')       
                                    </form>
                                </div>
                            </div>
                        </td>
                    </tr>
                    @php $count += 1; @endphp
                @endforeach
            </table>
        </div>
    </div>

    <div id="setting-integration" class="d-none">
        <div class="fw-wrap">
            <div class="w-100p h-100p mg-t-20 cursor-default">
                <div class="h-200 w-800 d-flex-center">
                    <div class="mg-10 pd-10">
                        <div class="">
                            <img src="{{asset('storage/system/hik_central.png')}}" alt="hikcentral-img">
                        </div>
                        <div class="fs2 fw-bold mg-tb-20">Hikcentral</div>
                    </div>
                    <div class="h-100p d-flex-center">
                        @php
                            $database_connection = 'Disconnected';
                            try { DB::connection()->getPdo(); $database_connection = 'Connected';
                            } catch (\Exception $e) { $database_connection = 'Disconnected'; }
                        @endphp
                        <div class="d-flex-center fw-bold fs2 clr-red w-200">Disconnected</div>
                    </div>
                    <div class="mg-10 pd-10">
                        <div>
                            <img src="{{asset('storage/system/middleware.png')}}" alt="hikcentral-img">
                        </div>
                        <div class="fs2 fw-bold mg-tb-20">Middleware</div>
                    </div>
                    <div class="h-100p d-flex-center">
                        @php
                            $database_connection = 'Disconnected';
                            try { DB::connection()->getPdo(); $database_connection = 'Connected';
                            } catch (\Exception $e) { $database_connection = 'Disconnected'; }
                        @endphp
                        <div class="fw-bold d-flex-center fs2 clr-green w-200">{{$database_connection}}</div>
                    </div>
                    <div class="mg-10 pd-10">
                        <div>
                            <img src="{{asset('storage/system/database.png')}}" alt="hikcentral-img">
                        </div>
                        <div class="fs2 fw-bold mg-tb-20">Database</div>
                    </div>
                </div>
                <div class="mg-tb-20 d-flex">
                    <div class="w-500 d-flex">
                        @php
                        $hik_central = [
                            'url' => env('HIKCENTRAL_API_BASE_URL'),
                            'app_key' => env('HIKCENTRAL_APP_KEY'),
                            'app_secret' => env('HIKCENTRAL_APP_SECRET'),
                        ];
                        @endphp
                        <div>
                            <div class="fs2 clr-grey-2 fw-bold mg-tb-10">HikCentral</div>
                            <div class="d-flex bs-bb fw-shrink-0">
                                <div class="d-flex w-100 fs3 clr-grey-2 mg-tb-10 bs-bb">Server</div>
                                <div class="d-flex w-300 fs3 clr-black-1 fw-bold pd-tb-5 mg-r-10 mg-tb-5 bs-bb fw-shrink-0">{{$hik_central['url']}}</div>
                            </div>
                            <div class="d-flex bs-bb fw-shrink-0">
                                <div class="d-flex w-100 fs3 clr-grey-2 mg-tb-10 bs-bb">App Key</div>
                                <div class="d-flex w-300 fs3 clr-black-1 fw-bold pd-tb-5 mg-r-10 mg-tb-5 bs-bb">{{$hik_central['app_key']}}</div>
                            </div>
                            <div class="d-flex bs-bb fw-shrink-0">
                                <div class="d-flex w-100 fs3 clr-grey-2 mg-tb-10 bs-bb">Secret</div>
                                <div class="d-flex w-300 fs3 clr-black-1 fw-bold pd-tb-5 mg-r-10 mg-tb-5 bs-bb">{{ str_repeat('*', strlen($hik_central['app_secret'])) }}</div>
                                {{-- {{$hik_central['app_secret']}} --}}
                            </div>
                            <div class="d-flex">
                                <div class="button-primary d-flex-center mg-tb-20" onclick="open_popup_click('update-hcp-configuration-popup')">
                                    <div>Configure</div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="w-500 d-flex">
                        @php
                        $database = [
                            'host' => env('DB_HOST'),
                            'database' => env('DB_DATABASE'),
                            'username' => env('DB_USERNAME'),
                        ];
                        @endphp
                        <div>
                            <div class="fs2 clr-grey-2 fw-bold mg-tb-10">Database</div>
                            <div class="d-flex bs-bb fw-shrink-0">
                                <div class="d-flex w-100 fs3 clr-grey-2 mg-tb-10 bs-bb">Server</div>
                                <div class="d-flex w-300 fs3 clr-black-1 fw-bold pd-tb-5 mg-r-10 mg-tb-5 bs-bb fw-shrink-0">{{$database['host']}}</div>
                            </div>
                            <div class="d-flex bs-bb fw-shrink-0">
                                <div class="d-flex w-100 fs3 clr-grey-2 mg-tb-10 bs-bb">Database</div>
                                <div class="d-flex w-300 fs3 clr-black-1 fw-bold pd-tb-5 mg-r-10 mg-tb-5 bs-bb">{{$database['database']}}</div>
                            </div>
                            <div class="d-flex bs-bb fw-shrink-0">
                                <div class="d-flex w-100 fs3 clr-grey-2 mg-tb-10 bs-bb">Username</div>
                                <div class="d-flex w-300 fs3 clr-black-1 fw-bold pd-tb-5 mg-r-10 mg-tb-5 bs-bb">{{$database['username']}}</div>
                            </div>
                            <div class="d-flex">
                                <div class="button-primary d-flex-center mg-tb-20" onclick="open_popup_click('update-db-configuration-popup')">
                                    <div>Configure</div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>  
    </div>
@endsection

@section('body-box')
    <div id="add-announcement-popup" class="right-popup bg-white w-600 h-100p cursor-default">
        <form action="{{route('setting.create-announcement')}}" method="POST" class="h-100p w-100p">
        @csrf
        @method('POST')
            <div class="content w-100p of-auto" style="height: calc(100% - 80px);position:relative;">
                <div class="h-100p pd-30 bs-bb">
                    <div class="fs-18 clr-grey-2 fw-bold">Add Announcement</div>
                    
                    <div class="fs-13 clr-black-1 fw-bold mg-t-20">Title <span style="color:red;">*</span></div>
                    <input type="text" name="title" class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0" style="cursor:text">

                    <div class="fs-13 clr-black-1 fw-bold mg-t-20">Message <span style="color:red;">*</span></div>
                    <textarea class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0" style="cursor:text; font-family:Arial, Helvetica, sans-serif; max-width:300px; min-width:300px;" name="message" rows="4"></textarea>

                    <div class="fs-13 clr-black-1 fw-bold mg-t-20">Date Publish <span style="color:red;">*</span></div>
                    <input type="date" name="date_publish" class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0" style="cursor:text;">

                    <div class="fs-13 clr-black-1 fw-bold mg-t-20">Date Expiry <span style="color:red;">*</span></div>
                    <input type="date" name="date_expiry" class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0" style="cursor:text;">

                    <div class="h-150"></div>
                </div>
            </div>

            <div class="submit-section h-80 w-100p">
                <div class="d-flex mg-t-20 mg-l-40" style="gap:10px">
                    <button type="submit" class="button-primary fw-bold fs-12 clr-white pd-tb-8 pd-lr-10 br-4 cursor-pointer" style="border:none">Create</button>
                    <button type="button" onclick="close_popup_click('add-announcement-popup')" class="bg-btn-secondary fw-bold fs-12 clr-black pd-tb-8 pd-lr-10 br-4 cursor-pointer" style="border:none">Cancel</button>
                </div>
            </div>
        </form>
    </div>
    

    @foreach ($announcements as $announcement)
    <div id="edit-announcement-{{$announcement->id}}-popup" class="right-popup bg-white w-600 h-100p cursor-default">
        <form action="{{route('setting.update-announcement-by-id', ['id' => $announcement->id])}}" method="POST" class="h-100p w-100p">
        @csrf
        @method('PATCH')
            <div class="content w-100p of-auto" style="height: calc(100% - 80px);position:relative;">
                <div class="h-100p pd-30 bs-bb">
                    <div class="fs-18 clr-grey-2 fw-bold">Edit Announcement</div>

                    <div class="fs-13 clr-black-1 fw-bold mg-t-20">Title <span style="color:red;">*</span></div>
                    <input type="text" value="{{$announcement->title}}" name="title" class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0" style="cursor:text">

                    <div class="fs-13 clr-black-1 fw-bold mg-t-20">Message <span style="color:red;">*</span></div>
                    <textarea class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0" style="cursor:text; font-family:Arial, Helvetica, sans-serif; max-width:300px; min-width:300px;" name="message" rows="4">{{$announcement->message}}</textarea>

                    <div class="fs-13 clr-black-1 fw-bold mg-t-20">Date Publish <span style="color:red;">*</span></div>
                    <input type="date" value="{{$announcement->date_publish}}" name="date_publish" class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0" style="cursor:text;">

                    <div class="fs-13 clr-black-1 fw-bold mg-t-20">Date Expiry <span style="color:red;">*</span></div>
                    <input type="date" value="{{$announcement->date_expiry}}" name="date_expiry" class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0" style="cursor:text;">

                    <div class="h-150"></div>
                </div>
            </div>

            <div class="submit-section h-80 w-100p">
                <div class="d-flex mg-t-20 mg-l-40" style="gap:10px">
                    <button type="submit" class="button-primary fw-bold fs-12 clr-white pd-tb-8 pd-lr-10 br-4 cursor-pointer" style="border:none">Update</button>
                    <button type="button" onclick="close_popup_click('edit-announcement-{{$announcement->id}}-popup')" class="bg-btn-secondary fw-bold fs-12 clr-black pd-tb-8 pd-lr-10 br-4 cursor-pointer" style="border:none">Cancel</button>
                </div>
            </div>
        </form>
    </div>
    @endforeach

    <div id="add-faculty-popup" class="right-popup bg-white w-600 h-100p cursor-default">
        <form action="{{route('setting.create-faculty')}}" method="POST" class="h-100p w-100p">
        @csrf
        @method('POST')
            <div class="content w-100p of-auto" style="height: calc(100% - 80px);position:relative;">
                <div class="h-100p pd-30 bs-bb">
                    <div class="fs-18 clr-grey-2 fw-bold">Add faculty</div>

                    <div class="fs-13 clr-black-1 fw-bold mg-t-20">faculty Name <span style="color:red;">*</span></div>
                    <input type="text" name="name" class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0" style="cursor:text">

                    <div class="h-150"></div>
                </div>
            </div>

            <div class="submit-section h-80 w-100p">
                <div class="d-flex mg-t-20 mg-l-40" style="gap:10px">
                    <button type="submit" class="button-primary fw-bold fs-12 clr-white pd-tb-8 pd-lr-10 br-4 cursor-pointer" style="border:none">Create</button>
                    <button type="button" onclick="close_popup_click('add-faculty-popup')" class="bg-btn-secondary fw-bold fs-12 clr-black pd-tb-8 pd-lr-10 br-4 cursor-pointer" style="border:none">Cancel</button>
                </div>
            </div>
        </form>
    </div>

    @foreach ($faculties as $faculty)
    <div id="edit-faculty-{{$faculty->id}}-popup" class="right-popup bg-white w-600 h-100p cursor-default">
        <form action="{{route('setting.update-faculty-by-id', ['id' => $faculty->id])}}" method="POST" class="h-100p w-100p">
        @csrf
        @method('PATCH')
            <div class="content w-100p of-auto" style="height: calc(100% - 80px);position:relative;">
                <div class="h-100p pd-30 bs-bb">
                    <div class="fs-18 clr-grey-2 fw-bold">Edit faculty</div>

                    <div class="fs-13 clr-black-1 fw-bold mg-t-20">faculty Name <span style="color:red;">*</span></div>
                    <input type="text" name="name" value="{{$faculty->name}}" class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0" style="cursor:text;">

                    <div class="h-150"></div>
                </div>
            </div>

            <div class="submit-section h-80 w-100p">
                <div class="d-flex mg-t-20 mg-l-40" style="gap:10px">
                    <button type="submit" class="button-primary fw-bold fs-12 clr-white pd-tb-8 pd-lr-10 br-4 cursor-pointer" style="border:none">Update</button>
                    <button type="button" onclick="close_popup_click('edit-faculty-{{$faculty->id}}-popup')" class="bg-btn-secondary fw-bold fs-12 clr-black pd-tb-8 pd-lr-10 br-4 cursor-pointer" style="border:none">Cancel</button>
                </div>
            </div>
        </form>
    </div>
    @endforeach

    <div id="add-building-popup" class="right-popup bg-white w-600 h-100p cursor-default">
        <form action="{{route('setting.create-building')}}" method="POST" class="h-100p w-100p">
        @csrf
        @method('POST')
            <div class="content w-100p of-auto" style="height: calc(100% - 80px);position:relative;">
                <div class="h-100p pd-30 bs-bb">
                    <div class="fs-18 clr-grey-2 fw-bold">Add Building</div>

                    <div class="fs-13 clr-black-1 fw-bold mg-t-20">Faculty Name <span style="color:red;">*</span></div>
                    <input id="building-faculty-dropdown-input" type="hidden" name="faculty_id" value="{{$faculties->first()->id}}" class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0 cursor-text">
                    <div id="building-faculty-dropdown-button" class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0 cursor-pointer">{{$faculties->first()->name}}</div>
                    <div id="building-faculty-dropdown" class="dropdown w-300 pd-b-10" style="max-height:100px;">
                        <div class="d-flex">
                            <input type="text" name="" id="building-faculty-search" class="dropdown-search w-250 h-20 mg-5 pd-l-5 fs-12">
                            <div class="w-25 h-25 mg-t-5 d-flex-center"><span class="material-symbols-outlined fw-bold">search</span></div>
                        </div>
                        @foreach ($faculties as $faculty)
                            <div class="option w-100p txt-l fs-12 clr-grey-1 bs-bb cursor-pointer" onclick="dropdown_option_input_click(this, 'building-faculty-dropdown-button', 'building-faculty-dropdown-input', {{$faculty->id}}, 'building-faculty-dropdown')" style="border:none;">{{$faculty->name}}</div>
                        @endforeach
                    </div>

                    <div class="fs-13 clr-black-1 fw-bold mg-t-20">Building Name <span style="color:red;">*</span></div>
                    <input type="text" name="name" class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0" style="cursor:text">

                    <div class="h-150"></div>
                </div>
            </div>

            <div class="submit-section h-80 w-100p">
                <div class="d-flex mg-t-20 mg-l-40" style="gap:10px">
                    <button type="submit" class="button-primary fw-bold fs-12 clr-white pd-tb-8 pd-lr-10 br-4 cursor-pointer" style="border:none">Create</button>
                    <button type="button" onclick="close_popup_click('add-building-popup')" class="bg-btn-secondary fw-bold fs-12 clr-black pd-tb-8 pd-lr-10 br-4 cursor-pointer" style="border:none">Cancel</button>
                </div>
            </div>
        </form>
    </div>

    @foreach ($buildings as $building)
    <div id="edit-building-{{$building->id}}-popup" class="right-popup bg-white w-600 h-100p cursor-default">
        <form action="{{route('setting.update-building-by-id', ['id' => $building->id])}}" method="POST" class="h-100p w-100p">
        @csrf
        @method('PATCH')
            <div class="content w-100p of-auto" style="height: calc(100% - 80px);position:relative;">
                <div class="h-100p pd-30 bs-bb">
                    <div class="fs-18 clr-grey-2 fw-bold">Edit Building</div>

                    <div class="fs-13 clr-black-1 fw-bold mg-t-20">Faculty Name <span style="color:red;">*</span></div>
                    <input id="edit-building-faculty-{{$building->id}}-dropdown-input" type="hidden" name="faculty_id" value="{{$building->faculty->id}}" class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0">
                    <div id="edit-building-faculty-{{$building->id}}-dropdown-button" class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0 cursor-pointer">{{$building->faculty->name}}</div>
                    <div id="edit-building-faculty-{{$building->id}}-dropdown" name="faculty-id" class="dropdown w-300 pd-b-10" style="max-height:100px;">
                        <div class="d-flex">
                            <input type="text" name="" id="edit-building-faculty-{{$building->id}}-search" class="dropdown-search w-250 h-20 mg-5 pd-l-5 fs-12">
                            <div class="w-25 h-25 mg-t-5 d-flex-center"><span class="material-symbols-outlined fw-bold">search</span></div>
                        </div>
                        @foreach ($faculties as $faculty)
                            <div class="option w-100p txt-l fs-12 clr-grey-1 bs-bb cursor-pointer" onclick="dropdown_option_input_click(this, 'edit-building-faculty-{{$building->id}}-dropdown-button', 'edit-building-faculty-{{$building->id}}-dropdown-input', {{$faculty->id}}, 'edit-building-faculty-{{$building->id}}-dropdown')" style="border:none;">{{$faculty->name}}</div>
                        @endforeach
                    </div>

                    <div class="fs-13 clr-black-1 fw-bold mg-t-20">Building Name <span style="color:red;">*</span></div>
                    <input type="text" name="name" value="{{$building->name}}" class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0" style="cursor:text;">

                    <div class="h-150"></div>
                </div>
            </div>

            <div class="submit-section h-80 w-100p">
                <div class="d-flex mg-t-20 mg-l-40" style="gap:10px">
                    <button type="submit" class="button-primary fw-bold fs-12 clr-white pd-tb-8 pd-lr-10 br-4 cursor-pointer" style="border:none">Update</button>
                    <button type="button" onclick="close_popup_click('edit-building-{{$building->id}}-popup')" class="bg-btn-secondary fw-bold fs-12 clr-black pd-tb-8 pd-lr-10 br-4 cursor-pointer" style="border:none">Cancel</button>
                </div>
            </div>
        </form>
    </div>
    @endforeach

    <div id="add-level-popup" class="right-popup bg-white w-600 h-100p cursor-default">
        <form action="{{route('setting.create-level')}}" method="POST" class="h-100p w-100p">
        @csrf
        @method('POST')
            <div class="content w-100p of-auto" style="height: calc(100% - 80px);position:relative;">
                <div class="h-100p pd-30 bs-bb">
                    <div class="fs-18 clr-grey-2 fw-bold">Add Level</div>

                    <div class="fs-13 clr-black-1 fw-bold mg-t-20">Faculty Name <span style="color:red;">*</span></div>
                    <input id="level-faculty-dropdown-input" type="hidden" name="faculty_id" value="{{$faculties->first()->id}}" class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0 cursor-text">
                    <div id="level-faculty-dropdown-button" class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0 cursor-pointer">{{$faculties->first()->name}}</div>
                    <div id="level-faculty-dropdown" class="dropdown w-300 pd-b-10" style="max-height:100px;">
                        <div class="d-flex">
                            <input type="text" name="" id="level-faculty-search" class="dropdown-search w-250 h-20 mg-5 pd-l-5 fs-12">
                            <div class="w-25 h-25 mg-t-5 d-flex-center"><span class="material-symbols-outlined fw-bold">search</span></div>
                        </div>
                        @foreach ($faculties as $faculty)
                            <div class="option w-100p txt-l fs-12 clr-grey-1 bs-bb cursor-pointer" onclick="dropdown_option_input_click(this, 'level-faculty-dropdown-button', 'level-faculty-dropdown-input', {{$faculty->id}}, 'level-faculty-dropdown')" style="border:none;">{{$faculty->name}}</div>
                        @endforeach
                    </div>

                    <div class="fs-13 clr-black-1 fw-bold mg-t-20">Building Name <span style="color:red;">*</span></div>
                    <input id="building-dropdown-input" type="hidden" name="building_id" value="{{$buildings->first()->id}}" class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0 cursor-text">
                    <div id="building-dropdown-button" class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0 cursor-pointer">{{$buildings->first()->name}}</div>
                    <div id="building-dropdown" class="dropdown w-300 pd-b-10" style="max-height:100px;">
                        <div class="d-flex">
                            <input type="text" name="" id="building-search" class="dropdown-search w-250 h-20 mg-5 pd-l-5 fs-12">
                            <div class="w-25 h-25 mg-t-5 d-flex-center"><span class="material-symbols-outlined fw-bold">search</span></div>
                        </div>
                        @foreach ($buildings as $building)
                            <div class="option w-100p txt-l fs-12 clr-grey-1 bs-bb cursor-pointer" onclick="dropdown_option_input_click(this, 'building-dropdown-button', 'building-dropdown-input', {{$building->id}}, 'building-dropdown')" style="border:none;">{{$building->name}}</div>
                        @endforeach
                    </div>

                    <div class="fs-13 clr-black-1 fw-bold mg-t-20">Level Name <span style="color:red;">*</span></div>
                    <input type="text" name="name" class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0" style="cursor:text;">

                    <div class="h-150"></div>
                </div>
            </div>

            <div class="submit-section h-80 w-100p">
                <div class="d-flex mg-t-20 mg-l-40" style="gap:10px">
                    <button type="submit" class="button-primary fw-bold fs-12 clr-white pd-tb-8 pd-lr-10 br-4 cursor-pointer" style="border:none">Create</button>
                    <button type="button" onclick="close_popup_click('add-level-popup')" class="bg-btn-secondary fw-bold fs-12 clr-black pd-tb-8 pd-lr-10 br-4 cursor-pointer" style="border:none">Cancel</button>
                </div>
            </div>
        </form>
    </div>

    @foreach ($levels as $level)
    <div id="edit-level-{{$level->id}}-popup" class="right-popup bg-white w-600 h-100p cursor-default">
        <form action="{{route('setting.update-level-by-id', ['id' => $level->id])}}" method="POST" class="h-100p w-100p">
        @csrf
        @method('PATCH')
            <div class="content w-100p of-auto" style="height: calc(100% - 80px);position:relative;">
                <div class="h-100p pd-30 bs-bb">
                    <div class="fs-18 clr-grey-2 fw-bold">Edit Level</div>

                    <div class="fs-13 clr-black-1 fw-bold mg-t-20">Faculty Name <span style="color:red;">*</span></div>
                    <input id="edit-level-faculty-{{$level->id}}-dropdown-input" type="hidden" name="faculty_id" value="{{$level->faculty->id}}" class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0">
                    <div id="edit-level-faculty-{{$level->id}}-dropdown-button" class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0 cursor-pointer">{{$level->faculty->name}}</div>
                    <div id="edit-level-faculty-{{$level->id}}-dropdown" name="faculty-id" class="dropdown w-300 pd-b-10" style="max-height:100px;">
                        <div class="d-flex">
                            <input type="text" name="" id="edit-level-faculty-{{$level->id}}-search" class="dropdown-search w-250 h-20 mg-5 pd-l-5 fs-12">
                            <div class="w-25 h-25 mg-t-5 d-flex-center"><span class="material-symbols-outlined fw-bold">search</span></div>
                        </div>
                        @foreach ($faculties as $faculty)
                            <div class="option w-100p txt-l fs-12 clr-grey-1 bs-bb cursor-pointer" onclick="dropdown_option_input_click(this, 'edit-level-faculty-{{$level->id}}-dropdown-button', 'edit-level-faculty-{{$level->id}}-dropdown-input', {{$faculty->id}}, 'edit-level-faculty-{{$level->id}}-dropdown')" style="border:none;">{{$faculty->name}}</div>
                        @endforeach
                    </div>

                    <div class="fs-13 clr-black-1 fw-bold mg-t-20">Building Name <span style="color:red;">*</span></div>
                    <input id="edit-building-{{$level->id}}-dropdown-input" type="hidden" name="building_id" value="{{$level->building->id}}" class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0">
                    <div id="edit-building-{{$level->id}}-dropdown-button" class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0 cursor-pointer">{{$level->building->name}}</div>
                    <div id="edit-building-{{$level->id}}-dropdown" name="building-id" class="dropdown w-300 pd-b-10" style="max-height:100px;">
                        <div class="d-flex">
                            <input type="text" name="" id="edit-building-{{$level->id}}-search" class="dropdown-search w-250 h-20 mg-5 pd-l-5 fs-12">
                            <div class="w-25 h-25 mg-t-5 d-flex-center"><span class="material-symbols-outlined fw-bold">search</span></div>
                        </div>
                        @foreach ($buildings as $building)
                            <div class="option w-100p txt-l fs-12 clr-grey-1 bs-bb cursor-pointer" onclick="dropdown_option_input_click(this, 'edit-building-{{$level->id}}-dropdown-button', 'edit-building-{{$level->id}}-dropdown-input', {{$building->id}}, 'edit-building-{{$level->id}}-dropdown')" style="border:none;">{{$building->name}}</div>
                        @endforeach
                    </div>

                    <div class="fs-13 clr-black-1 fw-bold mg-t-20">Level Name <span style="color:red;">*</span></div>
                    <input type="text" name="name" value="{{$level->name}}" class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0" style="cursor:text;">

                    <div class="h-150"></div>
                </div>
            </div>

            <div class="submit-section h-80 w-100p">
                <div class="d-flex mg-t-20 mg-l-40" style="gap:10px">
                    <button type="submit" class="button-primary fw-bold fs-12 clr-white pd-tb-8 pd-lr-10 br-4 cursor-pointer" style="border:none">Update</button>
                    <button type="button" onclick="close_popup_click('edit-level-{{$level->id}}-popup')" class="bg-btn-secondary fw-bold fs-12 clr-black pd-tb-8 pd-lr-10 br-4 cursor-pointer" style="border:none">Cancel</button>
                </div>
            </div>
        </form>
    </div>
    @endforeach

    <div id="add-holiday-popup" class="right-popup bg-white w-600 h-100p">
        <form action="{{route('setting.create-holiday')}}" method="POST" class="h-100p w-100p">
        @csrf
        @method('POST')
            <div class="content w-100p of-auto" style="height: calc(100% - 80px);position:relative;">
                <div class="h-100p pd-30 bs-bb">
                    <div class="fs-18 clr-grey-2 fw-bold">New Public Holiday</div>

                    <div class="fs-13 clr-black-1 fw-bold mg-t-20">Description </div>
                    <textarea class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0" name="description" rows="3" style="cursor:text; font-family:Arial, Helvetica, sans-serif; max-width:300px; min-width:300px;"></textarea>

                    <div class="fs-13 clr-black-1 fw-bold mg-t-20">Date <span style="color:red;">*</span></div>
                    <input type="date" name="date" class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0" style="cursor:text;">

                    <div class="h-150"></div>
                </div>
            </div>

            <div class="submit-section h-80 w-100p">
                <div class="d-flex mg-t-20 mg-l-40" style="gap:10px">
                    <button type="submit" class="button-primary fw-bold fs-12 clr-white pd-tb-8 pd-lr-10 br-4 cursor-pointer" style="border:none">Create</button>
                    <button type="button" onclick="close_popup_click('add-holiday-popup')" class="bg-btn-secondary fw-bold fs-12 clr-black pd-tb-8 pd-lr-10 br-4 cursor-pointer" style="border:none">Cancel</button>
                </div>
            </div>
        </form>
    </div>
    
    @foreach ($holidays as $holiday)
    <div id="edit-holiday-{{$holiday->id}}-popup" class="right-popup bg-white w-600 h-100p cursor-default">
        <form action="{{route('setting.update-holiday-by-id', ['id' => $holiday->id])}}" method="POST" class="h-100p w-100p">
        @csrf
        @method('PATCH')
            <div class="content w-100p of-auto" style="height: calc(100% - 80px);position:relative;">
                <div class="h-100p pd-30 bs-bb">
                    <div class="fs-18 clr-grey-2 fw-bold">Edit Public Holiday</div>

                    <div class="fs-13 clr-black-1 fw-bold mg-t-20">Description </div>
                    <textarea class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0" name="description" rows="3" style="cursor:text; font-family:Arial, Helvetica, sans-serif; max-width:300px; min-width:300px;">{{$holiday->description}}</textarea>

                    <div class="fs-13 clr-black-1 fw-bold mg-t-20">Date <span style="color:red;">*</span></div>
                    <input type="date" value="{{$holiday->date}}" name="date" class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0" style="cursor:text;">

                    <div class="h-150"></div>
                </div>
            </div>

            <div class="submit-section h-80 w-100p">
                <div class="d-flex mg-t-20 mg-l-40" style="gap:10px">
                    <button type="submit" class="button-primary fw-bold fs-12 clr-white pd-tb-8 pd-lr-10 br-4 cursor-pointer" style="border:none">Update</button>
                    <button type="button" onclick="close_popup_click('edit-holiday-{{$holiday->id}}-popup')" class="bg-btn-secondary fw-bold fs-12 clr-black pd-tb-8 pd-lr-10 br-4 cursor-pointer" style="border:none">Cancel</button>
                </div>
            </div>
        </form>
    </div>
    @endforeach

    <div id="add-device-popup" class="right-popup bg-white w-600 h-100p cursor-default">
        <form action="{{route('setting.create-device')}}" method="POST" class="h-100p w-100p">
        @csrf
        @method('POST')
            <div class="content w-100p of-auto" style="height: calc(100% - 80px);position:relative;">
                <div class="h-100p pd-30 bs-bb">
                    <div class="fs-18 clr-grey-2 fw-bold">Add Device</div>

                    <div class="fs-13 clr-black-1 fw-bold mg-t-20">Access Level <span style="color:red;">*</span></div>
                    <input id="add-device-dropdown-input" type="hidden" name="privilege_group_id" value="" class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0 cursor-text">
                    <input id="add-device-dropdown-name-input" type="hidden" name="name" value="" class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0 cursor-text">
                    <div id="add-device-dropdown-button" class="dropdown-button w-300 h-15 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0 cursor-pointer"></div>
                    <div id="add-device-dropdown" class="dropdown w-300 pd-b-10" style="max-height:100px;">
                        <div class="d-flex">
                            <input type="text" name="" id="add-device-search" class="dropdown-search w-250 h-20 mg-5 pd-l-5 fs-12">
                            <div class="w-25 h-25 mg-t-5 d-flex-center"><span class="material-symbols-outlined fw-bold">search</span></div>
                        </div>
                    </div>

                    <div class="fs-13 clr-black-1 fw-bold mg-t-20">Privelege Group ID <span style="color:red;">*</span></div>
                    <div id="add-device-index-code" class="dropdown-button w-300 h-15 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0 cursor-text"></div>

                    <div class="fs-13 clr-black-1 fw-bold mg-t-20">Room <span style="color:red;">*</span></div>
                    <input id="add-device-room-dropdown-input" type="hidden" name="room_id" value="" class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0 cursor-text">
                    <div id="add-device-room-dropdown-button" class="dropdown-button w-300 h-15 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0 cursor-pointer"></div>
                    <div id="add-device-room-dropdown" class="dropdown w-300 pd-b-10" style="max-height:100px;">
                        <div class="d-flex">
                            <input type="text" name="" id="add-device-room-search" class="dropdown-search w-250 h-20 mg-5 pd-l-5 fs-12">
                            <div class="w-25 h-25 mg-t-5 d-flex-center"><span class="material-symbols-outlined fw-bold">search</span></div>
                        </div>
                        @foreach ($rooms_without_device as $room)
                            <div class="option w-100p txt-l fs-12 clr-grey-1 bs-bb cursor-pointer" onclick="dropdown_option_input_click(this, 'add-device-room-dropdown-button', 'add-device-room-dropdown-input', {{$room->id}}, 'add-device-room-dropdown')" style="border:none;">{{$room->name}}</div>
                        @endforeach
                    </div>
                    <div class="h-150"></div>
                </div>
            </div>

            <div class="submit-section h-80 w-100p">
                <div class="d-flex mg-t-20 mg-l-40" style="gap:10px">
                    <button type="submit" class="button-primary fw-bold fs-12 clr-white pd-tb-8 pd-lr-10 br-4 cursor-pointer" style="border:none">Create</button>
                    <button type="button" onclick="close_popup_click('add-device-popup')" class="bg-btn-secondary fw-bold fs-12 clr-black pd-tb-8 pd-lr-10 br-4 cursor-pointer" style="border:none">Cancel</button>
                </div>
            </div>
        </form>
    </div>

    @foreach ($devices as $device)
    <div id="edit-device-{{$device->id}}-popup" class="right-popup bg-white w-600 h-100p cursor-default">
        <form action="{{route('setting.update-device-by-id', ['id' => $device->id])}}" method="POST" class="h-100p w-100p">
        @csrf
        @method('PATCH')
            <div class="content w-100p of-auto" style="height: calc(100% - 80px);position:relative;">
                <div class="h-100p pd-30 bs-bb">
                    <div class="fs-18 clr-grey-2 fw-bold">Edit Devices</div>

                    <div class="fs-13 clr-black-1 fw-bold mg-t-20">Access Level <span style="color:red;">*</span></div>
                    <input id="edit-device-{{$device->id}}-dropdown-input" type="hidden" name="privilege_group_id" value="{{$device->privilege_group_id}}" class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0 cursor-text">
                    <input id="edit-device-{{$device->id}}-dropdown-name-input" type="hidden" name="name" value="{{$device->name}}" class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0 cursor-text">
                    <div id="edit-device-{{$device->id}}-dropdown-button" class="dropdown-button w-300 h-15 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0 cursor-pointer">{{$device->name}}</div>
                    <div id="edit-device-{{$device->id}}-dropdown" class="dropdown w-300 pd-b-10" style="max-height:100px;">
                        <div class="d-flex">
                            <input type="text" name="" id="edit-device-{{$device->id}}-search" class="dropdown-search w-250 h-20 mg-5 pd-l-5 fs-12">
                            <div class="w-25 h-25 mg-t-5 d-flex-center"><span class="material-symbols-outlined fw-bold">search</span></div>
                        </div>
                    </div>

                    <div class="fs-13 clr-black-1 fw-bold mg-t-20">Privelege Group ID <span style="color:red;">*</span></div>
                    <div id="edit-device-{{$device->id}}-index-code" class="dropdown-button w-300 h-15 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0 cursor-text">{{$device->privilege_group_id}}</div>

                    <div class="fs-13 clr-black-1 fw-bold mg-t-20">Room <span style="color:red;">*</span></div>
                    <input id="edit-device-{{$device->id}}-room-dropdown-input" type="hidden" name="room_id" value="{{$device->room_id}}" class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0 cursor-text">
                    <div id="edit-device-{{$device->id}}-room-dropdown-button" class="dropdown-button w-300 h-15 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0 cursor-pointer">{{$device->room->name}}</div>
                    <div id="edit-device-{{$device->id}}-room-dropdown" class="dropdown w-300 pd-b-10" style="max-height:100px;">
                        <div class="d-flex">
                            <input type="text" name="" id="edit-device-{{$device->id}}-room-search" class="dropdown-search w-250 h-20 mg-5 pd-l-5 fs-12">
                            <div class="w-25 h-25 mg-t-5 d-flex-center"><span class="material-symbols-outlined fw-bold">search</span></div>
                        </div>
                        @foreach ($rooms_without_device as $room)
                            <div class="option w-100p txt-l fs-12 clr-grey-1 bs-bb cursor-pointer" onclick="dropdown_option_input_click(this, 'edit-device-{{$device->id}}-room-dropdown-button', 'edit-device-{{$device->id}}-room-dropdown-input', {{$room->id}}, 'edit-device-{{$device->id}}-room-dropdown')" style="border:none;">{{$room->name}}</div>
                        @endforeach
                    </div>
                    <div class="h-150"></div>
                </div>
            </div>

            <div class="submit-section h-80 w-100p">
                <div class="d-flex mg-t-20 mg-l-40" style="gap:10px">
                    <button type="submit" class="button-primary fw-bold fs-12 clr-white pd-tb-8 pd-lr-10 br-4 cursor-pointer" style="border:none">Update</button>
                    <button type="button" onclick="close_popup_click('edit-device-{{$device->id}}-popup')" class="bg-btn-secondary fw-bold fs-12 clr-black pd-tb-8 pd-lr-10 br-4 cursor-pointer" style="border:none">Cancel</button>
                </div>
            </div>
        </form>
    </div>
    @endforeach

    <div id="update-hcp-configuration-popup" class="right-popup bg-white w-600 h-100p cursor-default">
        <form action="{{route('setting.update-hcp')}}" method="POST" class="h-100p w-100p">
        @csrf
        @method('PATCH')
        @php
        $hik_central = [
            'url' => env('HIKCENTRAL_API_BASE_URL'),
            'app_key' => env('HIKCENTRAL_APP_KEY'),
            'app_secret' => env('HIKCENTRAL_APP_SECRET'),
        ];
        @endphp
            <div class="content w-100p of-auto" style="height: calc(100% - 80px);position:relative;">
                <div class="h-100p pd-30 bs-bb">
                    <div class="fs-18 clr-grey-2 fw-bold">Configure HikCentral Connection</div>

                    <div class="fs-13 clr-black-1 fw-bold mg-t-20">Server <span style="color:red;">*</span></div>
                    <input type="text" name="url" value="{{$hik_central['url']}}" class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0" style="cursor:text;">

                    <div class="fs-13 clr-black-1 fw-bold mg-t-20">App Key <span style="color:red;">*</span></div>
                    <input type="text" name="app_key" value="{{$hik_central['app_key']}}" class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0" style="cursor:text;">

                    <div class="fs-13 clr-black-1 fw-bold mg-t-20">App Secret <span style="color:red;">*</span></div>
                    <input type="text" name="app_secret" value="{{$hik_central['app_secret']}}" class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0" style="cursor:text;">

                    <!-- <div class="fs-13 clr-black-1 fw-bold mg-t-20">Event Type <span style="color:red;">*</span></div>
                    <input type="text" name="" class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0" style="cursor:text;">

                    <div class="fs-13 clr-black-1 fw-bold mg-t-20">Lecturer Organization <span style="color:red;">*</span></div>
                    <input type="text" name="" class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0" style="cursor:text;">

                    <div class="fs-13 clr-black-1 fw-bold mg-t-20">Student Organization <span style="color:red;">*</span></div>
                    <input type="text" name="" class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0" style="cursor:text;"> -->

                    <div class="h-150"></div>
                </div>
            </div>

            <div class="submit-section h-80 w-100p">
                <div class="d-flex mg-t-20 mg-l-40" style="gap:10px">
                    <button type="submit" class="button-primary fw-bold fs-12 clr-white pd-tb-8 pd-lr-10 br-4 cursor-pointer" style="border:none">Save Changes</button>
                    <button type="button" onclick="close_popup_click('update-hcp-configuration-popup')" class="bg-btn-secondary fw-bold fs-12 clr-black pd-tb-8 pd-lr-10 br-4 cursor-pointer" style="border:none">Cancel</button>
                </div>
            </div>
        </form>
    </div>

    <div id="update-db-configuration-popup" class="right-popup bg-white w-600 h-100p cursor-default">
        <form action="{{route('setting.update-db')}}" method="POST" class="h-100p w-100p">
        @csrf
        @method('PATCH')
            <div class="content w-100p of-auto" style="height: calc(100% - 80px);position:relative;">
                <div class="h-100p pd-30 bs-bb">
                    <div class="fs-18 clr-grey-2 fw-bold">Configure Database Connection</div>

                    <div class="fs-13 clr-black-1 fw-bold mg-t-20">Server <span style="color:red;">*</span></div>
                    <input type="text" name="" class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0" style="cursor:text;">

                    <div class="fs-13 clr-black-1 fw-bold mg-t-20">Database <span style="color:red;">*</span></div>
                    <input type="text" name="" class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0" style="cursor:text;">

                    <div class="fs-13 clr-black-1 fw-bold mg-t-20">Username <span style="color:red;">*</span></div>
                    <input type="text" name="" class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0" style="cursor:text;">

                    <div class="fs-13 clr-black-1 fw-bold mg-t-20">Password <span style="color:red;">*</span></div>
                    <input type="text" name="" class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0" style="cursor:text;">

                    <div class="fs-13 clr-black-1 fw-bold mg-t-20">Post <span style="color:red;">*</span></div>
                    <input type="text" name="" class="dropdown-button w-300 clr-grey-1 pd-tb-8 mg-t-5 pd-lr-0" style="cursor:text;">

                    <div class="h-150"></div>
                </div>
            </div>

            <div class="submit-section h-80 w-100p">
                <div class="d-flex mg-t-20 mg-l-40" style="gap:10px">
                    <button type="submit" class="button-primary fw-bold fs-12 clr-white pd-tb-8 pd-lr-10 br-4 cursor-pointer" style="border:none">Save Changes</button>
                    <button type="button" onclick="close_popup_click('update-db-configuration-popup')" class="bg-btn-secondary fw-bold fs-12 clr-black pd-tb-8 pd-lr-10 br-4 cursor-pointer" style="border:none">Cancel</button>
                </div>
            </div>
        </form>
    </div>
@endsection

@push('script')
    <script>
        //for pagination, to save the last session page that you went
        // localStorage.setItem("classroom-management-session", "announcement");
        // localStorage.removeItem("");
        if (localStorage.getItem('classroom-management-session') && localStorage.getItem('classroom-management-session') != 'main') {
            session = localStorage.getItem('classroom-management-session');
            setting_click(`${session}-nav-button`, `setting-${session}`);
        }

        //to handle custome range, 0 = 24 hour, 1 = custom time based on start-end time
        // customRange = @json(App\Models\Settings::where('setting_key', 'custom_range')->get()->first()->setting_value);
        // startTime = @json(Carbon\Carbon::parse(App\Models\Settings::where('setting_key', 'start_time')->first()->setting_value));
        // endTime = @json(Carbon\Carbon::parse(App\Models\Settings::where('setting_key', 'end_time')->first()->setting_value));
        function toggleStartEndTimeSection(){
            let startEndTimeSection = document.getElementById('start-end-time-section');
            let checkbox = document.getElementById('switchCustomRange');

            if (checkbox.checked) {
                startEndTimeSection.style.display = 'block';
            } else {
                startEndTimeSection.style.display = 'none';
            }
        }

        function setting_building_level_click(building_level_part, button){
            document.getElementById('add-building-btn').classList.add('d-none');
            document.getElementById('add-level-btn').classList.add('d-none');
            document.getElementById('add-faculty-btn').classList.add('d-none');
            document.querySelectorAll('.building-level-part').forEach(section =>{ section.classList.add('d-none');})

            document.querySelectorAll('.building-level-button').forEach(button => { button.classList.remove('active'); });
            button.classList.add('active');

            document.getElementById(building_level_part).classList.remove('d-none');

            if (building_level_part === 'setting-building-part'){
                document.getElementById('add-building-btn').classList.remove('d-none');
            } else if (building_level_part === 'setting-level-part'){
                document.getElementById('add-level-btn').classList.remove('d-none');
            } else if (building_level_part === 'setting-faculty-part'){
                document.getElementById('add-faculty-btn').classList.remove('d-none');
            }
        }

        add_dropdown_event('setting-option-dropdown-button', 'setting-option-dropdown');
        add_dropdown_event('setting-option-dropdown-start-time-button', 'setting-option-start-time-dropdown');
        add_dropdown_event('setting-option-dropdown-end-time-button', 'setting-option-end-time-dropdown');

        // add building
        add_dropdown_event('building-faculty-dropdown-button','building-faculty-dropdown');
        add_search('building-faculty-search', 'building-faculty-dropdown');

        // edit building
        @foreach($buildings as $building)
            add_dropdown_event('edit-building-faculty-{{$building->id}}-dropdown-button','edit-building-faculty-{{$building->id}}-dropdown');
            add_search('edit-building-faculty-{{$building->id}}-search', 'edit-building-faculty-{{$building->id}}-dropdown');
        @endforeach

        // add level
        add_dropdown_event('building-dropdown-button','building-dropdown');
        add_search('building-search', 'building-dropdown');
        add_dropdown_event('level-faculty-dropdown-button','level-faculty-dropdown');
        add_search('level-faculty-search', 'level-faculty-dropdown');

        // edit level
        @foreach($levels as $level)
            add_dropdown_event('edit-building-{{$level->id}}-dropdown-button','edit-building-{{$level->id}}-dropdown');
            add_search('edit-building-{{$level->id}}-search', 'edit-building-{{$level->id}}-dropdown');
            add_dropdown_event('edit-level-faculty-{{$level->id}}-dropdown-button','edit-level-faculty-{{$level->id}}-dropdown');
            add_search('edit-level-faculty-{{$level->id}}-search', 'edit-level-faculty-{{$level->id}}-dropdown');
        @endforeach

        // add device
        add_dropdown_event('add-device-dropdown-button','add-device-dropdown');
        add_search('add-device-search', 'add-device-dropdown');
        add_dropdown_event('add-device-room-dropdown-button','add-device-room-dropdown');
        add_search('add-device-room-search', 'add-device-room-dropdown');

        // edit device
        @foreach($devices as $device)
            add_dropdown_event('edit-device-{{$device->id}}-dropdown-button','edit-device-{{$device->id}}-dropdown');
            add_search('edit-device-{{$device->id}}-search', 'edit-device-{{$device->id}}-dropdown');
            add_dropdown_event('edit-device-{{$device->id}}-room-dropdown-button','edit-device-{{$device->id}}-room-dropdown');
            add_search('edit-device-{{$device->id}}-room-search', 'edit-device-{{$device->id}}-room-dropdown');
        @endforeach

        function setting_click(header_id, content_id) {
            document.getElementById(content_id).style.display = 'flex';
            document.getElementById('setting-main').style.display = 'none';
            document.getElementById('main-nav-button').style.display = 'none';
            document.getElementById(header_id).style.display = 'flex';
        }

        function back_click(header_id, content_id) {
            document.getElementById(content_id).style.display = 'none';
            document.getElementById('setting-main').style.display = 'block';
            document.getElementById('main-nav-button').style.display = 'flex';
            document.getElementById(header_id).style.display = 'none';

            localStorage.setItem('classroom-management-session', 'main');
        }

        // Promise.all([fetch_data(api='{{route('hcp.get_person_list')}}', method='POST', headers={'Content-Type': 'application/json','X-CSRF-TOKEN': csrfToken,}, body=JSON.stringify({})),])
        //     .then(([data_users]) => {
        //         console.log(data_users.data.list[2]);
        //     })
        //     .catch(error => {
        //     });

        // Promise.all([fetch_data(api='{{route('hcp.get_door_event')}}', method='POST', headers={'Content-Type': 'application/json','X-CSRF-TOKEN': csrfToken,}, body=JSON.stringify({'startTime':'2024-10-01T12:00:00+08:00', 'endTime':'2024-10-30T12:00:00+08:00', 'eventType': 196893, 'personName':'', 'doorIndexCodes':['3']})),])
        //     .then(([door_events]) => {
        //         door_events.data.list.forEach(data => {

        //             // console.log(data);
                    
        //         });
        //     })
        //     .catch(error => {
        //     });

        // Promise.all([fetch_data(api='/artemis/api/resource/v1/acsDoor/acsDoorList', method='POST', headers={'Content-Type': 'application/json','X-CSRF-TOKEN': csrfToken,}, body=JSON.stringify({})),])
        //     .then(([data_door]) => {
        //         data_door = {"code":"0","msg":"Success","data":{"total":43,"pageNo":1,"pageSize":100,"list":[{"doorIndexCode":"3","acsDevIndexCode":"1","regionIndexCode":"1","doorNo":"1","doorName":" BILIK KULIAH B1","doorState":1},{"doorIndexCode":"98","acsDevIndexCode":"27","regionIndexCode":"20","doorNo":"20","doorName":"BILIK KULIAH B10","doorState":1},{"doorIndexCode":"8","acsDevIndexCode":"2","regionIndexCode":"2","doorNo":"2","doorName":"BILIK KULIAH B2","doorState":1},{"doorIndexCode":"23","acsDevIndexCode":"6","regionIndexCode":"5","doorNo":"5","doorName":"BILIK KULIAH B3","doorState":1},{"doorIndexCode":"28","acsDevIndexCode":"9","regionIndexCode":"6","doorNo":"6","doorName":"BILIK KULIAH B4","doorState":1},{"doorIndexCode":"33","acsDevIndexCode":"10","regionIndexCode":"7","doorNo":"7","doorName":"BILIK KULIAH B5","doorState":1},{"doorIndexCode":"123","acsDevIndexCode":"34","regionIndexCode":"24","doorNo":"25","doorName":"BILIK KULIAH B6","doorState":1},{"doorIndexCode":"88","acsDevIndexCode":"25","regionIndexCode":"18","doorNo":"18","doorName":"BILIK KULIAH B7","doorState":1},{"doorIndexCode":"93","acsDevIndexCode":"26","regionIndexCode":"19","doorNo":"19","doorName":"BILIK KULIAH B8","doorState":1},{"doorIndexCode":"133","acsDevIndexCode":"36","regionIndexCode":"26","doorNo":"27","doorName":"BILIK KULIAH B9","doorState":1},{"doorIndexCode":"138","acsDevIndexCode":"38","regionIndexCode":"27","doorNo":"28","doorName":"BILIK KULIAH E1","doorState":1},{"doorIndexCode":"218","acsDevIndexCode":"60","regionIndexCode":"43","doorNo":"44","doorName":"BILIK KULIAH E10","doorState":1},{"doorIndexCode":"143","acsDevIndexCode":"39","regionIndexCode":"28","doorNo":"29","doorName":"BILIK KULIAH E2","doorState":1},{"doorIndexCode":"148","acsDevIndexCode":"41","regionIndexCode":"29","doorNo":"30","doorName":"BILIK KULIAH E3","doorState":1},{"doorIndexCode":"153","acsDevIndexCode":"43","regionIndexCode":"30","doorNo":"31","doorName":"BILIK KULIAH E4","doorState":1},{"doorIndexCode":"58","acsDevIndexCode":"16","regionIndexCode":"12","doorNo":"12","doorName":"BILIK KULIAH E5","doorState":4},{"doorIndexCode":"63","acsDevIndexCode":"18","regionIndexCode":"13","doorNo":"13","doorName":"BILIK KULIAH E6","doorState":1},{"doorIndexCode":"203","acsDevIndexCode":"55","regionIndexCode":"40","doorNo":"41","doorName":"BILIK KULIAH E7","doorState":1},{"doorIndexCode":"208","acsDevIndexCode":"57","regionIndexCode":"41","doorNo":"42","doorName":"BILIK KULIAH E8","doorState":1},{"doorIndexCode":"213","acsDevIndexCode":"59","regionIndexCode":"42","doorNo":"43","doorName":"BILIK KULIAH E9","doorState":1},{"doorIndexCode":"13","acsDevIndexCode":"3","regionIndexCode":"3","doorNo":"3","doorName":"BILIK PERBINCANGAN 1 (B)","doorState":1},{"doorIndexCode":"103","acsDevIndexCode":"28","regionIndexCode":"4","doorNo":"21","doorName":"BILIK PERBINCANGAN 2 (B)","doorState":1},{"doorIndexCode":"178","acsDevIndexCode":"50","regionIndexCode":"35","doorNo":"36","doorName":"DEWAN KULIAH BLOK A - Aras G","doorState":1},{"doorIndexCode":"183","acsDevIndexCode":"51","regionIndexCode":"36","doorNo":"37","doorName":"DEWAN KULIAH BLOK A–1-Aras1","doorState":1},{"doorIndexCode":"188","acsDevIndexCode":"52","regionIndexCode":"37","doorNo":"38","doorName":"DEWAN KULIAH BLOK A–2-Aras1","doorState":1},{"doorIndexCode":"193","acsDevIndexCode":"53","regionIndexCode":"38","doorNo":"39","doorName":"DEWAN KULIAH BLOK A–3-Aras1","doorState":1},{"doorIndexCode":"198","acsDevIndexCode":"54","regionIndexCode":"39","doorNo":"40","doorName":"DEWAN KULIAH BLOK A–4-Aras1","doorState":1},{"doorIndexCode":"108","acsDevIndexCode":"29","regionIndexCode":"21","doorNo":"22","doorName":"DEWAN KULIAH BLOK C - 1- Aras G","doorState":1},{"doorIndexCode":"38","acsDevIndexCode":"11","regionIndexCode":"8","doorNo":"8","doorName":"DEWAN KULIAH BLOK C - 1-Aras 1","doorState":1},{"doorIndexCode":"128","acsDevIndexCode":"35","regionIndexCode":"25","doorNo":"26","doorName":"DEWAN KULIAH BLOK C - 2 - Aras G","doorState":1},{"doorIndexCode":"43","acsDevIndexCode":"12","regionIndexCode":"9","doorNo":"9","doorName":"DEWAN KULIAH BLOK C - 2-Aras 1","doorState":1},{"doorIndexCode":"113","acsDevIndexCode":"30","regionIndexCode":"22","doorNo":"23","doorName":"DEWAN KULIAH BLOK D - 1 - Aras G","doorState":1},{"doorIndexCode":"48","acsDevIndexCode":"13","regionIndexCode":"10","doorNo":"10","doorName":"DEWAN KULIAH BLOK D - 1 -Aras 1","doorState":1},{"doorIndexCode":"53","acsDevIndexCode":"14","regionIndexCode":"11","doorNo":"11","doorName":"DEWAN KULIAH BLOK D - 2 - Aras 1","doorState":1},{"doorIndexCode":"118","acsDevIndexCode":"32","regionIndexCode":"23","doorNo":"24","doorName":"DEWAN KULIAH BLOK D - 2 - Aras G","doorState":1},{"doorIndexCode":"158","acsDevIndexCode":"45","regionIndexCode":"31","doorNo":"32","doorName":"DEWAN KULIAH BLOK F - 1 - Aras G","doorState":1},{"doorIndexCode":"68","acsDevIndexCode":"20","regionIndexCode":"14","doorNo":"14","doorName":"DEWAN KULIAH BLOK F - 1 -Aras 1","doorState":1},{"doorIndexCode":"73","acsDevIndexCode":"21","regionIndexCode":"15","doorNo":"15","doorName":"DEWAN KULIAH BLOK F–2-Aras1","doorState":1},{"doorIndexCode":"163","acsDevIndexCode":"47","regionIndexCode":"32","doorNo":"33","doorName":"DEWAN KULIAH BLOK F–2-ArasG","doorState":1},{"doorIndexCode":"83","acsDevIndexCode":"24","regionIndexCode":"17","doorNo":"17","doorName":"DEWAN KULIAH BLOK G - 2 - Aras 1","doorState":1},{"doorIndexCode":"173","acsDevIndexCode":"49","regionIndexCode":"34","doorNo":"35","doorName":"DEWAN KULIAH BLOK G - 2 - Aras G","doorState":1},{"doorIndexCode":"78","acsDevIndexCode":"23","regionIndexCode":"16","doorNo":"16","doorName":"DEWAN KULIAH BLOK G–1-Aras1","doorState":4},{"doorIndexCode":"168","acsDevIndexCode":"48","regionIndexCode":"33","doorNo":"34","doorName":"DEWAN KULIAH BLOK G–1-ArasG","doorState":1}]}}
        //         if (data_door.code == 0) {
        //             count = 1;
        //             console.log(data_door)

        //             dropdown_innerHTML = ``;
        //             devices = @json($devices);
        //             door_indexes = devices.map(dr => dr.index_code);

        //             data_door.data.list.forEach(door => {
        //                 isExist = door_indexes.some(dr => dr == door.doorIndexCode);
        //                 if (!isExist) {
        //                     dropdown_innerHTML += `
        //                         <div class="option w-100p txt-l fs-12 clr-grey-1 bs-bb cursor-pointer" onclick="dropdown_option_input_click(this, 'add-device-dropdown-button', 'add-device-dropdown-input', ${door.doorIndexCode}, 'add-device-dropdown'); document.getElementById('add-device-index-code').textContent = ${door.doorIndexCode}; document.getElementById('add-device-dropdown-name-input').value = '${door.doorName}';" style="border:none;">${door.doorName}</div>
        //                     `;
        //                 }
        //             })

        //             add_device_dropdown = document.getElementById('add-device-dropdown');
        //             add_device_dropdown.innerHTML += dropdown_innerHTML;
        //             devices.forEach(device => {
        //                 const dropdown = document.getElementById(`edit-device-${device.id}-dropdown`);
        //                 dropdown.innerHTML += dropdown_innerHTML;
        //             });
        //         }
        //     });

        Promise.all([fetch_data(api='/artemis/api/acs/v1/privilege/group', method='POST', headers={'Content-Type': 'application/json','X-CSRF-TOKEN': csrfToken,}, body=JSON.stringify({})),])
            .then(([data_door]) => {
                data_door = {"code":"0","msg":"Success","data":{"total":27,"pageNo":1,"pageSize":100,"list":[{"privilegeGroupId":"27","privilegeGroupName":"BILIK KULIAH E10","description":"BILIK KULIAH E10","timeSchedule":{"indexCode":"1","name":""},"ElementList":[{"Element":{"ID":218,"BaseInfo":{"ElementType":1002,"Name":"BILIK KULIAH E10","AreaName":"BILIK KULIAH E10","AreaID":43}}}]},{"privilegeGroupId":"26","privilegeGroupName":"BILIK KULIAH E9","description":"BILIK KULIAH E9","timeSchedule":{"indexCode":"1","name":""},"ElementList":[{"Element":{"ID":213,"BaseInfo":{"ElementType":1002,"Name":"BILIK KULIAH E9","AreaName":"BILIK KULIAH E9","AreaID":42}}}]},{"privilegeGroupId":"25","privilegeGroupName":"BILIK KULIAH E8","description":"BILIK KULIAH E8","timeSchedule":{"indexCode":"1","name":""},"ElementList":[{"Element":{"ID":208,"BaseInfo":{"ElementType":1002,"Name":"BILIK KULIAH E8","AreaName":"BILIK KULIAH E8","AreaID":41}}}]},{"privilegeGroupId":"24","privilegeGroupName":"BILIK KULIAH E7","description":"BILIK KULIAH E7","timeSchedule":{"indexCode":"1","name":""},"ElementList":[{"Element":{"ID":203,"BaseInfo":{"ElementType":1002,"Name":"BILIK KULIAH E7","AreaName":"BILIK KULIAH E7","AreaID":40}}}]},{"privilegeGroupId":"23","privilegeGroupName":"BILIK KULIAH B10","description":"BILIK KULIAH B10","timeSchedule":{"indexCode":"1","name":""},"ElementList":[{"Element":{"ID":98,"BaseInfo":{"ElementType":1002,"Name":"BILIK KULIAH B10","AreaName":"BILIK KULIAH B10","AreaID":20}}}]},{"privilegeGroupId":"22","privilegeGroupName":"BILIK KULIAH B9","description":"BILIK KULIAH B9","timeSchedule":{"indexCode":"1","name":""},"ElementList":[{"Element":{"ID":133,"BaseInfo":{"ElementType":1002,"Name":"BILIK KULIAH B9","AreaName":"BILIK KULIAH B9","AreaID":26}}}]},{"privilegeGroupId":"21","privilegeGroupName":"BILIK KULIAH B8","description":"BILIK KULIAH B8","timeSchedule":{"indexCode":"1","name":""},"ElementList":[{"Element":{"ID":93,"BaseInfo":{"ElementType":1002,"Name":"BILIK KULIAH B8","AreaName":"BILIK KULIAH B8","AreaID":19}}}]},{"privilegeGroupId":"20","privilegeGroupName":"BILIK KULIAH B7","description":"BILIK KULIAH B7","timeSchedule":{"indexCode":"1","name":""},"ElementList":[{"Element":{"ID":88,"BaseInfo":{"ElementType":1002,"Name":"BILIK KULIAH B7","AreaName":"BILIK KULIAH B7","AreaID":18}}}]},{"privilegeGroupId":"19","privilegeGroupName":"BILIK KULIAH E6","description":"BILIK KULIAH E6","timeSchedule":{"indexCode":"1","name":""},"ElementList":[{"Element":{"ID":63,"BaseInfo":{"ElementType":1002,"Name":"BILIK KULIAH E6","AreaName":"BILIK KULIAH E6","AreaID":13}}}]},{"privilegeGroupId":"18","privilegeGroupName":"BILIK KULIAH E5","description":"BILIK KULIAH E5","timeSchedule":{"indexCode":"1","name":""},"ElementList":[{"Element":{"ID":58,"BaseInfo":{"ElementType":1002,"Name":"BILIK KULIAH E5","AreaName":"BILIK KULIAH E5","AreaID":12}}}]},{"privilegeGroupId":"17","privilegeGroupName":"BILIK KULIAH B6","description":"BILIK KULIAH B6","timeSchedule":{"indexCode":"1","name":""},"ElementList":[{"Element":{"ID":123,"BaseInfo":{"ElementType":1002,"Name":"BILIK KULIAH B6","AreaName":"BILIK KULIAH B6","AreaID":24}}}]},{"privilegeGroupId":"16","privilegeGroupName":"BILIK KULIAH B5","description":"BILIK KULIAH B5","timeSchedule":{"indexCode":"1","name":""},"ElementList":[{"Element":{"ID":33,"BaseInfo":{"ElementType":1002,"Name":"BILIK KULIAH B5","AreaName":"BILIK KULIAH B5","AreaID":7}}}]},{"privilegeGroupId":"15","privilegeGroupName":"BILIK KULIAH B4","description":"BILIK KULIAH B4","timeSchedule":{"indexCode":"1","name":""},"ElementList":[{"Element":{"ID":28,"BaseInfo":{"ElementType":1002,"Name":"BILIK KULIAH B4","AreaName":"BILIK KULIAH B4","AreaID":6}}}]},{"privilegeGroupId":"14","privilegeGroupName":"BILIK KULIAH B3","description":"BILIK KULIAH B3","timeSchedule":{"indexCode":"1","name":""},"ElementList":[{"Element":{"ID":23,"BaseInfo":{"ElementType":1002,"Name":"BILIK KULIAH B3","AreaName":"BILIK KULIAH B3","AreaID":5}}}]},{"privilegeGroupId":"13","privilegeGroupName":"BILIK KULIAH E4","description":"BILIK KULIAH E4","timeSchedule":{"indexCode":"1","name":""},"ElementList":[{"Element":{"ID":153,"BaseInfo":{"ElementType":1002,"Name":"BILIK KULIAH E4","AreaName":"BILIK KULIAH E4","AreaID":30}}}]},{"privilegeGroupId":"12","privilegeGroupName":"BILIK KULIAH E3","description":"BILIK KULIAH E3","timeSchedule":{"indexCode":"1","name":""},"ElementList":[{"Element":{"ID":148,"BaseInfo":{"ElementType":1002,"Name":"BILIK KULIAH E3","AreaName":"BILIK KULIAH E3","AreaID":29}}}]},{"privilegeGroupId":"11","privilegeGroupName":"BILIK KULIAH E2","description":"BILIK KULIAH E2","timeSchedule":{"indexCode":"1","name":""},"ElementList":[{"Element":{"ID":143,"BaseInfo":{"ElementType":1002,"Name":"BILIK KULIAH E2","AreaName":"BILIK KULIAH E2","AreaID":28}}}]},{"privilegeGroupId":"10","privilegeGroupName":"BILIK KULIAH E1","description":"BILIK KULIAH E1","timeSchedule":{"indexCode":"1","name":""},"ElementList":[{"Element":{"ID":138,"BaseInfo":{"ElementType":1002,"Name":"BILIK KULIAH E1","AreaName":"BILIK KULIAH E1","AreaID":27}}}]},{"privilegeGroupId":"9","privilegeGroupName":"BILIK PERBINCANGAN 2 (B)","description":"BILIK PERBINCANGAN 2 (B)","timeSchedule":{"indexCode":"1","name":""},"ElementList":[{"Element":{"ID":103,"BaseInfo":{"ElementType":1002,"Name":"BILIK PERBINCANGAN 2 (B)","AreaName":"BILIK PERBINCANGAN 2 (B)","AreaID":4}}}]},{"privilegeGroupId":"8","privilegeGroupName":"BILIK PERBINCANGAN 1 (B)","description":"BILIK PERBINCANGAN 1 (B)","timeSchedule":{"indexCode":"1","name":""},"ElementList":[{"Element":{"ID":13,"BaseInfo":{"ElementType":1002,"Name":"BILIK PERBINCANGAN 1 (B)","AreaName":"BILIK PERBINCANGAN 1 (B)","AreaID":3}}}]},{"privilegeGroupId":"7","privilegeGroupName":"BILIK KULIAH B2","description":"BILIK KULIAH B2","timeSchedule":{"indexCode":"1","name":""},"ElementList":[{"Element":{"ID":8,"BaseInfo":{"ElementType":1002,"Name":"BILIK KULIAH B2","AreaName":"BILIK KULIAH B2","AreaID":2}}}]},{"privilegeGroupId":"6","privilegeGroupName":"BILIK KULIAH B1","description":"BILIK KULIAH B1","timeSchedule":{"indexCode":"1","name":""},"ElementList":[{"Element":{"ID":3,"BaseInfo":{"ElementType":1002,"Name":" BILIK KULIAH B1","AreaName":"BILIK KULIAH B1","AreaID":1}}}]},{"privilegeGroupId":"5","privilegeGroupName":"Dewan Kuliah Blok F","description":"Dewan Kuliah Blok F","timeSchedule":{"indexCode":"1","name":""},"ElementList":[{"Element":{"ID":68,"BaseInfo":{"ElementType":1002,"Name":"DEWAN KULIAH BLOK F - 1 -Aras 1","AreaName":"DEWAN KULIAH BLOK F - 1 - Aras 1","AreaID":14}}},{"Element":{"ID":73,"BaseInfo":{"ElementType":1002,"Name":"DEWAN KULIAH BLOK F–2-Aras1","AreaName":"DEWAN KULIAH BLOK F – 2 - Aras 1","AreaID":15}}},{"Element":{"ID":158,"BaseInfo":{"ElementType":1002,"Name":"DEWAN KULIAH BLOK F - 1 - Aras G","AreaName":"DEWAN KULIAH BLOK F - 1 - Aras G","AreaID":31}}},{"Element":{"ID":163,"BaseInfo":{"ElementType":1002,"Name":"DEWAN KULIAH BLOK F–2-ArasG","AreaName":"DEWAN KULIAH BLOK F – 2 - Aras G","AreaID":32}}}]},{"privilegeGroupId":"4","privilegeGroupName":"Dewan Kuliah Blok G","description":"Dewan Kuliah Blok G","timeSchedule":{"indexCode":"1","name":""},"ElementList":[{"Element":{"ID":78,"BaseInfo":{"ElementType":1002,"Name":"DEWAN KULIAH BLOK G–1-Aras1","AreaName":"DEWAN KULIAH BLOK G – 1 - Aras 1","AreaID":16}}},{"Element":{"ID":83,"BaseInfo":{"ElementType":1002,"Name":"DEWAN KULIAH BLOK G - 2 - Aras 1","AreaName":"DEWAN KULIAH BLOK G - 2 - Aras 1","AreaID":17}}},{"Element":{"ID":168,"BaseInfo":{"ElementType":1002,"Name":"DEWAN KULIAH BLOK G–1-ArasG","AreaName":"DEWAN KULIAH BLOK G – 1 - Aras G","AreaID":33}}},{"Element":{"ID":173,"BaseInfo":{"ElementType":1002,"Name":"DEWAN KULIAH BLOK G - 2 - Aras G","AreaName":"DEWAN KULIAH BLOK G - 2 - Aras G","AreaID":34}}}]},{"privilegeGroupId":"3","privilegeGroupName":"Dewan Kuliah Blok D","description":"Dewan Kuliah Blok D","timeSchedule":{"indexCode":"1","name":""},"ElementList":[{"Element":{"ID":48,"BaseInfo":{"ElementType":1002,"Name":"DEWAN KULIAH BLOK D - 1 -Aras 1","AreaName":"DEWAN KULIAH BLOK D - 1 - Aras 1","AreaID":10}}},{"Element":{"ID":53,"BaseInfo":{"ElementType":1002,"Name":"DEWAN KULIAH BLOK D - 2 - Aras 1","AreaName":"DEWAN KULIAH BLOK D - 2 - Aras 1","AreaID":11}}},{"Element":{"ID":113,"BaseInfo":{"ElementType":1002,"Name":"DEWAN KULIAH BLOK D - 1 - Aras G","AreaName":"DEWAN KULIAH BLOK D - 1 - Aras G","AreaID":22}}},{"Element":{"ID":118,"BaseInfo":{"ElementType":1002,"Name":"DEWAN KULIAH BLOK D - 2 - Aras G","AreaName":"DEWAN KULIAH BLOK D - 2 - Aras G","AreaID":23}}}]},{"privilegeGroupId":"2","privilegeGroupName":"Dewan Kuliah Blok C","description":"Dewan Kuliah Blok C","timeSchedule":{"indexCode":"1","name":""},"ElementList":[{"Element":{"ID":38,"BaseInfo":{"ElementType":1002,"Name":"DEWAN KULIAH BLOK C - 1-Aras 1","AreaName":"DEWAN KULIAH BLOK C - 1 - Aras 1","AreaID":8}}},{"Element":{"ID":43,"BaseInfo":{"ElementType":1002,"Name":"DEWAN KULIAH BLOK C - 2-Aras 1","AreaName":"DEWAN KULIAH BLOK C - 2 - Aras 1","AreaID":9}}},{"Element":{"ID":108,"BaseInfo":{"ElementType":1002,"Name":"DEWAN KULIAH BLOK C - 1- Aras G","AreaName":"DEWAN KULIAH BLOK C - 1- Aras G","AreaID":21}}},{"Element":{"ID":128,"BaseInfo":{"ElementType":1002,"Name":"DEWAN KULIAH BLOK C - 2 - Aras G","AreaName":"DEWAN KULIAH BLOK C - 2 - Aras G","AreaID":25}}}]},{"privilegeGroupId":"1","privilegeGroupName":"Dewan kuliah Block A","description":"Dewan kuliah Block A","timeSchedule":{"indexCode":"1","name":""},"ElementList":[{"Element":{"ID":178,"BaseInfo":{"ElementType":1002,"Name":"DEWAN KULIAH BLOK A - Aras G","AreaName":"DEWAN KULIAH BLOK A - Aras G","AreaID":35}}},{"Element":{"ID":183,"BaseInfo":{"ElementType":1002,"Name":"DEWAN KULIAH BLOK A–1-Aras1","AreaName":"DEWAN KULIAH BLOK A – 1 - Aras 1","AreaID":36}}},{"Element":{"ID":188,"BaseInfo":{"ElementType":1002,"Name":"DEWAN KULIAH BLOK A–2-Aras1","AreaName":"DEWAN KULIAH BLOK A – 2 - Aras 1","AreaID":37}}},{"Element":{"ID":193,"BaseInfo":{"ElementType":1002,"Name":"DEWAN KULIAH BLOK A–3-Aras1","AreaName":"DEWAN KULIAH BLOK A – 3 - Aras 1","AreaID":38}}},{"Element":{"ID":198,"BaseInfo":{"ElementType":1002,"Name":"DEWAN KULIAH BLOK A–4-Aras1","AreaName":"DEWAN KULIAH BLOK A – 4 - Aras 1","AreaID":39}}}]}]}}
                if (data_door.code == 0) {
                    // console.log(data_door)

                    add_dropdown_innerHTML = ``;
                    devices = @json($devices);
                    privilege_group_ids = devices.map(dv => dv.privilege_group_id);

                    data_door.data.list.forEach(access_level => {
                        isExist = privilege_group_ids.some(id => id == access_level.privilegeGroupId);
                        if (!isExist) {
                            add_dropdown_innerHTML += `<div class="option w-100p txt-l fs-12 clr-grey-1 bs-bb cursor-pointer" onclick="dropdown_option_input_click(this, 'add-device-dropdown-button', 'add-device-dropdown-input', ${access_level.privilegeGroupId}, 'add-device-dropdown'); document.getElementById('add-device-index-code').textContent = ${access_level.privilegeGroupId}; document.getElementById('add-device-dropdown-name-input').value = '${access_level.privilegeGroupName}';" style="border:none;">${access_level.privilegeGroupName}</div>`;
                        }
                        devices_innerHTML = ``;
                        access_level.ElementList.forEach(device => {
                            devices_innerHTML += `<div class="tw-nowrap fs-12 clr-grey-1">${device.Element.BaseInfo.Name}</div>`
                        })
                        device_row = document.querySelector(`#setting-devices .table .access-level-${access_level.privilegeGroupId}`);
                        if (device_row){ device_row.innerHTML = devices_innerHTML; }
                    })

                    // devices.forEach(device => {
                    //     isExist = privilege_group_ids.some(id => id == access_level.privilegeGroupId);
                    //     data_door.data.list.forEach(access_level => {
                    //         if (!isExist) {
                    //             add_dropdown_innerHTML += `<div class="option w-100p txt-l fs-12 clr-grey-1 bs-bb cursor-pointer" onclick="dropdown_option_input_click(this, 'add-device-dropdown-button', 'add-device-dropdown-input', ${access_level.privilegeGroupId}, 'add-device-dropdown'); document.getElementById('add-device-index-code').textContent = ${access_level.privilegeGroupId}; document.getElementById('add-device-dropdown-name-input').value = '${access_level.privilegeGroupName}';" style="border:none;">${access_level.privilegeGroupName}</div>`;
                    //         }
                    //     })
                    // })

                    add_device_dropdown = document.getElementById('add-device-dropdown');
                    add_device_dropdown.innerHTML += add_dropdown_innerHTML;
                    devices.forEach(device => {
                        edit_dropdown_innerHTML = ``;
                        data_door.data.list.forEach(access_level => {
                            isExist = privilege_group_ids.some(id => id == access_level.privilegeGroupId);
                            if (!isExist) {
                                edit_dropdown_innerHTML += `<div class="option w-100p txt-l fs-12 clr-grey-1 bs-bb cursor-pointer" onclick="dropdown_option_input_click(this, 'edit-device-${device.id}-dropdown-button', 'edit-device-${device.id}-dropdown-input', ${access_level.privilegeGroupId}, 'edit-device-${device.id}-dropdown'); document.getElementById('edit-device-${device.id}-index-code').textContent = ${access_level.privilegeGroupId}; document.getElementById('edit-device-${device.id}-dropdown-name-input').value = '${access_level.privilegeGroupName}';" style="border:none;">${access_level.privilegeGroupName}</div>`;
                            }
                        })
                        const dropdown = document.getElementById(`edit-device-${device.id}-dropdown`);
                        dropdown.innerHTML += edit_dropdown_innerHTML;

                    });
                    add_search('add-device-search', 'add-device-dropdown');
                }
            });

        // to remove session on the last session page
        localStorage.removeItem('classroom-management-session');

    </script>
@endpush