<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <h1>Create User</h1>
    {{-- to display error if wrong user --}}
    @if (session('success'))
    <div class="alert alert-danger alert-dismissible fade show" role="alert">
        {{ session('success') }}
    </div>
    @endif
    
    <form action="{{route('user.create-user')}}" method="POST" enctype="multipart/form-data">
        @csrf
        @method('POST')
        
        <div>Image</div>
        <input type="file" name="image" class="form-control" accept="image/*">

        <div>Staff id*</div>
        <input type="text" name="staff_id" class="form-control" value="ST01">

        <div>Email*</div>
        <input type="email" name="email" class="form-control" value="user1@gmail.com">

        <div>First Name*</div>
        <input type="text" name="first_name" class="form-control" value="Dando">

        <div>Last Name*</div>
        <input type="text" name="last_name" class="form-control" value="Sama">

        <div>Full Name*</div>
        <input type="text" name="full_name" class="form-control" value="Dando Sama">

        <div>Phone</div>
        <input type="text" name="phone_no" class="form-control" value="0148541727">

        <div>Address</div>
        <input type="text" name="address" class="form-control" value="Alamesra">

        <div>NRIC*</div>
        <input type="text" name="nric" class="form-control" value="011218120413">

        <div>Remark</div>
        <input type="text" name="remark" class="form-control" value="Testing">

        <div>Gender</div>
        <div style="display:flex">
            <input type="checkbox" name="gender" class="form-control" value="1">
            <div>Male</div>
        </div>
        <div style="display:flex">
            <input type="checkbox" name="gender" class="form-control" value="0">
            <div>Female</div>
        </div>

        <div>User Type</div>
        <div style="display:flex">
            <input type="checkbox" name="type" class="form-control" value="Administrator">
            <div>Administrator</div>
        </div>
        <div style="display:flex">
            <input type="checkbox" name="type" class="form-control" value="Management">
            <div>Management</div>
        </div>
        <div style="display:flex">
            <input type="checkbox" name="type" class="form-control" value="Lecturer">
            <div>Lecturer</div>
        </div>
        <div style="display:flex">
            <input type="checkbox" name="type" class="form-control" value="Student Lead">
            <div>Student Lead</div>
        </div>
        <div style="display:flex">
            <input type="checkbox" name="type" class="form-control" value="Student">
            <div>Student</div>
        </div>


        <div>Password</div>
        <input type="text" name="password" class="form-control" value="password">

        <div>Confirmation Password</div>
        <input type="text" name="password_confirmation" class="form-control" value="password">

        <button type="submit">Create</button>


        @if ($errors->any())
            <div class="alert alert-danger">
                <ul>
                    @foreach ($errors->all() as $error)
                        <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
        @endif
            
    </form>

    <script>

        document.querySelectorAll('input[name="type"]').forEach((checkbox) => {
            checkbox.addEventListener('click', function () {
            if (this.checked) {
                document.querySelectorAll('input[name="type"]').forEach((cb) => {
                    if (cb !== this) {
                        cb.checked = false
                    }
                })
            } else {
                this.checked = true;
            }
            });
        });

        document.querySelectorAll('input[name="gender"]').forEach((checkbox) => {
            checkbox.addEventListener('click', function () {
            if (this.checked) {
                document.querySelectorAll('input[name="gender"]').forEach((cb) => {
                    if (cb !== this) {
                        cb.checked = false
                    }
                })
            } else {
                this.checked = true;
            }
            });
        });

    </script>
</body>
</html>